import { HashRouter } from "react-router-dom";
import { HelmetProvider } from "react-helmet-async";
import { ThemeProvider } from "@mui/material/styles";

import { theme } from "shared/constants/theme";

import { Routing } from "pages";

import "shared/assets/styles/index.css";
import { QueryClientProvider } from "@tanstack/react-query";
import { queryClient } from "shared/api/query-client";

const App = () => {
  return (
    <QueryClientProvider client={queryClient}>
      <HashRouter>
        <HelmetProvider>
          <ThemeProvider theme={theme}>
            <Routing />
          </ThemeProvider>
        </HelmetProvider>
      </HashRouter>
    </QueryClientProvider>
  );
};

export default App;
