import { useEffect } from "react";

import { Typography } from "shared/ui/components";
import { SECOND } from "shared/constants/time";

import { useClockStore } from "./model";
import { date, time } from "./utils";
import { styled } from "@mui/material";

const Wrapper = styled("div")(({ theme }) => {
  return {
    display: "flex",
    alignItems: "center",
    gap: theme.spacing(2),
  };
});

export function Clock() {
  const clock = useClockStore();

  useEffect(() => {
    const id = setInterval(() => {
      clock.tick();
    }, SECOND * 5);

    return () => clearInterval(id);
  }, []);

  return (
    <Wrapper>
      <Typography variant="h3">{time.format(clock.date)}</Typography>
      <Typography variant="h3">{date.format(clock.date)}</Typography>
    </Wrapper>
  );
}
