import { create } from "zustand";
import { devtools } from "zustand/middleware";
import { immer } from "zustand/middleware/immer";

type State = {
  date: Date;
};
type Action = {
  tick: () => void;
};

export const useClockStore = create<State & Action>()(
  devtools(
    immer((set) => ({
      date: new Date(),
      tick: () => {
        set((state) => {
          state.date = new Date();
        });
      },
    })),
  ),
);
