import { MODAL_NAMES, useModalStore } from "shared/stores/modal-store";
import { Typography } from "shared/ui/components";
import { CustomModal } from "shared/ui/templates";

export function AccountCreatedSuccessfully() {
  const store = useModalStore();

  return (
    <CustomModal
      title={MODAL_NAMES.AccountCreatedSuccessfully}
      open={!!store.openModalType}
      handleClose={store.actions.closeModal}
    >
      <Typography variant="body2">
        Учетная запись <b>{store.modalData?.fio}</b> успешно создана.
      </Typography>
      <Typography variant="body2">
        Временный пароль <b>{store.modalData?.password}</b>
      </Typography>
    </CustomModal>
  );
}
