import {
  MODAL_NAMES,
  MODAL_TYPES,
  useModalStore,
} from "shared/stores/modal-store";
import { CustomModal } from "shared/ui/templates";
import { CreateAnAccount } from "./CreateAnAccount";
import { Button } from "shared/ui/components";

export function CreateAnAccountModal() {
  const store = useModalStore();

  function onCreate(data: any) {
    console.log("onCreate", data);
    store.actions.showModal(MODAL_TYPES.AccountCreatedSuccessfully, {
      fio: data.fio,
      password: "Zwd_f@33",
    });
  }

  return (
    <CustomModal
      title={MODAL_NAMES.CreateAnAccount}
      open={!!store.openModalType}
      handleClose={store.actions.closeModal}
    >
      <CreateAnAccount
        onCancel={store.actions.closeModal}
        onSubmit={onCreate}
      />
    </CustomModal>
  );
}

export function ButtonCreateAnAccount() {
  const store = useModalStore();

  return (
    <Button
      onClick={() => store.actions.showModal(MODAL_TYPES.CreateAnAccount)}
    >
      Создать учетную запись
    </Button>
  );
}
