import { Icon } from "shared/assets/icons";
import { MODAL_TYPES, useModalStore } from "shared/stores/modal-store";
import { IconButton, Tooltip, Typography } from "shared/ui/components";
import { CustomModal, PrimarySecondaryText } from "shared/ui/templates";

export function DeviceCode() {
  const store = useModalStore();

  return (
    <CustomModal
      title="Код устройства"
      open={!!store.openModalType}
      handleClose={() => store.actions.closeModal()}
    >
      <Typography variant="h1">{6288}</Typography>
      <PrimarySecondaryText
        primary="Планшет"
        secondary="Тип устройства"
        variant="firstSecondary"
      />
      <PrimarySecondaryText
        primary={store.modalData?.manufacturer}
        secondary="Производитель"
        variant="firstSecondary"
      />
      <PrimarySecondaryText
        primary={store.modalData?.model}
        secondary="Модель"
        variant="firstSecondary"
      />
      <PrimarySecondaryText
        primary={store.modalData?.uuid}
        secondary="Uuid"
        variant="firstSecondary"
      />
    </CustomModal>
  );
}

type IconButtonDeviceCode = {
  show: boolean;
  data: any;
};
export function IconButtonDeviceCode(props: IconButtonDeviceCode) {
  const { data, show } = props;
  const store = useModalStore();

  if (!show) return null;

  return (
    <Tooltip title="Посмотреть код">
      <IconButton
        onClick={() => store.actions.showModal(MODAL_TYPES.DeviceCode, data)}
      >
        <Icon.Numbers />
      </IconButton>
    </Tooltip>
  );
}
