import {
  MODAL_NAMES,
  MODAL_TYPES,
  useModalStore,
} from "shared/stores/modal-store";
import { CustomModal } from "shared/ui/templates";
import { EditAccount } from "./EditAccount";
import { IconButton, Tooltip } from "shared/ui/components";
import { Icon } from "shared/assets/icons";

export function EditAccountModal() {
  const store = useModalStore();

  function onEdit(data: any) {
    console.log("onEdit ", data);
  }

  return (
    <CustomModal
      title={MODAL_NAMES.EditAccount}
      open={!!store.openModalType}
      handleClose={store.actions.closeModal}
    >
      <EditAccount
        data={store.modalData}
        onCancel={store.actions.closeModal}
        onSubmit={onEdit}
      />
    </CustomModal>
  );
}

type IconButtonEditAccount = {
  show: boolean;
  data: any;
};
export function IconButtonEditAccount(props: IconButtonEditAccount) {
  const { data, show } = props;
  const store = useModalStore();

  if (!show) return null;

  return (
    <Tooltip title={MODAL_NAMES.EditAccount}>
      <IconButton
        onClick={() => store.actions.showModal(MODAL_TYPES.EditAccount, data)}
      >
        <Icon.Edit />
      </IconButton>
    </Tooltip>
  );
}
