import { Icon } from "shared/assets/icons";
import {
  MODAL_NAMES,
  MODAL_TYPES,
  useModalStore,
} from "shared/stores/modal-store";
import { Button, IconButton, Tooltip, Typography } from "shared/ui/components";
import { CustomModal } from "shared/ui/templates";

export function EndTheSession() {
  const store = useModalStore();

  function onEndTheSession() {
    console.log("onEndTheSession");
  }

  return (
    <CustomModal
      title={MODAL_NAMES.EndTheSession}
      open={!!store.openModalType}
      handleClose={store.actions.closeModal}
      actions={
        <>
          <Button color="error" onClick={onEndTheSession}>
            Завершить сессию
          </Button>
          <Button color="secondary" onClick={() => store.actions.closeModal()}>
            Отмена
          </Button>
        </>
      }
    >
      <Typography variant="body2">
        Вы уверены, что хотите завершить сессию учетной записи&nbsp;
        <b>{store.modalData?.fio}</b>?
      </Typography>
    </CustomModal>
  );
}

type IconButtonEndTheSession = {
  show: boolean;
  data: any;
};
export function IconButtonEndTheSession(props: IconButtonEndTheSession) {
  const { data, show } = props;
  const store = useModalStore();

  if (!show) return null;

  return (
    <Tooltip title={MODAL_NAMES.EndTheSession}>
      <IconButton
        onClick={() => store.actions.showModal(MODAL_TYPES.EndTheSession, data)}
      >
        <Icon.Logout />
      </IconButton>
    </Tooltip>
  );
}
