import { Helmet } from "shared/ui/components";
import { TablePageTemplate } from "shared/ui/templates";
import { FiltersProvider } from "shared/stores/filters";
import { PaginationProvider } from "shared/stores/pagination";

import { HallsTable } from "./components/HallsTable";
import { HallsModals } from "./components/HallsModals";

export const HELMET = {
  title: "Залы | АС города Москвы",
  description: "",
};

export const TITLE = "Залы";

function HallsPage() {
  return (
    <FiltersProvider>
      <PaginationProvider>
        <Helmet helmet={HELMET}>
          <TablePageTemplate title={TITLE} Table={<HallsTable />} />
          <HallsModals />
        </Helmet>
      </PaginationProvider>
    </FiltersProvider>
  );
}

export default HallsPage;
