import { MODAL_TYPES, useModalStore } from "shared/stores/modal-store";

import { HallBlocking } from "features/hall-blocking/HallBlocking";
import { EditHallCards } from "features/edit-hall-cards/EditHallCards";
import { EndHallSession } from "features/end-hall-session/EndHallSession";
import { UnlockHall } from "features/unlocking-hall/UnlockHall";

export function HallsModals() {
  const store = useModalStore();

  switch (store.openModalType) {
    case MODAL_TYPES.HallBlocking:
      return <HallBlocking key="modal" />;
    case MODAL_TYPES.EditHallCards:
      return <EditHallCards key="modal" />;
    case MODAL_TYPES.EndHallSession:
      return <EndHallSession key="modal" />;
    case MODAL_TYPES.UnlockHall:
      return <UnlockHall key="modal" />;

    default:
      return null;
  }
}
