import { Helmet } from "shared/ui/components";
import { TablePageTemplate } from "shared/ui/templates";
import { FiltersProvider } from "shared/stores/filters";
import { PaginationProvider } from "shared/stores/pagination";

import { ButtonCreateAnAccount } from "features/create-account";

import { JudgesModals } from "./components/JudgesModals";
import { JudgesTable } from "./components/JudgesTable";

export const HELMET = { title: "Судьи | АС города Москвы", description: "" };

export const TITLE = "Судьи";

function JudgesPage() {
  return (
    <FiltersProvider>
      <PaginationProvider>
        <Helmet helmet={HELMET}>
          <TablePageTemplate
            title={TITLE}
            Actions={<ButtonCreateAnAccount />}
            Table={<JudgesTable />}
          />
          <JudgesModals />
        </Helmet>
      </PaginationProvider>
    </FiltersProvider>
  );
}

export default JudgesPage;
