import { MODAL_TYPES, useModalStore } from "shared/stores/modal-store";

import {
  AccountCreatedSuccessfully,
  CreateAnAccountModal,
} from "features/create-account";
import { EditAccountModal } from "features/edit-account";
import { DeleteAccount } from "features/delete-account";
import { UnlockAccount } from "features/unlock-account";
import { AccountBlocking } from "features/account-blocking";

import { EndTheSession } from "features/end-the-session";

export function JudgesModals() {
  const store = useModalStore();

  switch (store.openModalType) {
    case MODAL_TYPES.DeleteAccount:
      return <DeleteAccount key="modal" />;
    case MODAL_TYPES.AccountBlocking:
      return <AccountBlocking key="modal" />;
    case MODAL_TYPES.UnlockAccount:
      return <UnlockAccount key="modal" />;
    case MODAL_TYPES.EndTheSession:
      return <EndTheSession key="modal" />;
    case MODAL_TYPES.CreateAnAccount:
      return <CreateAnAccountModal key="modal" />;
    case MODAL_TYPES.AccountCreatedSuccessfully:
      return <AccountCreatedSuccessfully key="modal" />;
    case MODAL_TYPES.EditAccount:
      return <EditAccountModal key="modal" />;

    default:
      return null;
  }
}
