import { Helmet } from "shared/ui/components";
import { TablePageTemplate } from "shared/ui/templates";
import { FiltersProvider } from "shared/stores/filters";
import { PaginationProvider } from "shared/stores/pagination";

import { TabletsTable } from "./components/TabletsTable";
import { TabletsQueryFilter } from "./components/TabletsQueryFilter";
import { TabletsModals } from "./components/TabletsModals";

const HELMET = { title: "Планшет | АС города Москвы", description: "" };
const TITLE = "Планшеты";
const TOOLTIP =
  "Укажите зал арбитражного суда для каждого устройства, с которого будет осуществляться управление заседаниями выбранного зала";

function TabletsPage() {
  return (
    <FiltersProvider>
      <PaginationProvider>
        <Helmet helmet={HELMET}>
          <TablePageTemplate
            title={TITLE}
            tooltip={TOOLTIP}
            QueryFilter={<TabletsQueryFilter />}
            Table={<TabletsTable />}
          />
          <TabletsModals />
        </Helmet>
      </PaginationProvider>
    </FiltersProvider>
  );
}

export default TabletsPage;
