import { Helmet } from "shared/ui/components";
import { TablePageTemplate } from "shared/ui/templates";
import { FiltersProvider } from "shared/stores/filters";
import { PaginationProvider } from "shared/stores/pagination";

import { TelevisionsInTheGeneralCourtroomModals } from "./components/TelevisionsInTheGeneralCourtroomModals";
import { TelevisionsInTheGeneralCourtroomQueryFilter } from "./components/TelevisionsInTheGeneralCourtroomQueryFilter";
import { TelevisionsInTheGeneralCourtroomTable } from "./components/TelevisionsInTheGeneralCourtroomTable";

const HELMET = {
  title: "Телевизор общего зала суда | АС города Москвы",
  description: "",
};
const TITLE = "Телевизоры общего зала суда";

function TelevisionsInTheGeneralCourtroomPage() {
  return (
    <FiltersProvider>
      <PaginationProvider>
        <Helmet helmet={HELMET}>
          <TablePageTemplate
            title={TITLE}
            QueryFilter={<TelevisionsInTheGeneralCourtroomQueryFilter />}
            Table={<TelevisionsInTheGeneralCourtroomTable />}
          />
          <TelevisionsInTheGeneralCourtroomModals />
        </Helmet>
      </PaginationProvider>
    </FiltersProvider>
  );
}

export default TelevisionsInTheGeneralCourtroomPage;
