import { EditDevice } from "features/edit-device";
import { DeviceCode } from "features/device-code";
import { DisablingDevice } from "features/disabling-device";
import { TurningDevice } from "features/turning-device";
import { MODAL_TYPES, useModalStore } from "shared/stores/modal-store";
import { DEVICE_TYPE_ID } from "shared/constants/device";

export function TelevisionsInTheGeneralCourtroomModals() {
  const store = useModalStore();

  switch (store.openModalType) {
    case MODAL_TYPES.DeviceCode:
      return <DeviceCode key="modal" />;
    case MODAL_TYPES.DisablingDevice:
      return <DisablingDevice key="modal" />;
    case MODAL_TYPES.TurningDevice:
      return <TurningDevice key="modal" />;
    case MODAL_TYPES.EditDevice:
      return <EditDevice key="modal" deviceType={DEVICE_TYPE_ID.BigTv} />;
    default:
      return null;
  }
}
