import { Box, styled } from "@mui/material";

import { Checkbox } from "shared/ui/components";
import { useFilters } from "shared/stores/filters";

export function TelevisionsInTheGeneralCourtroomQueryFilter() {
  const { off, updateOff } = useFilters();

  return (
    <Wrapper>
      <Checkbox
        label="Показать только отключенные"
        value={off}
        onChange={(_, checked) => updateOff(checked)}
      />
    </Wrapper>
  );
}

const Wrapper = styled(Box)(({ theme }) => {
  return {
    display: "flex",
    alignItems: "center",
    gap: theme.spacing(2),
  };
});
