import { Helmet } from "shared/ui/components";
import { TablePageTemplate } from "shared/ui/templates";

import { TelevisionsNearTheCourtroomModals } from "./components/TelevisionsNearTheCourtroomModals";
import { TelevisionsNearTheCourtroomQueryFilter } from "./components/TelevisionsNearTheCourtroomQueryFilter";
import { TelevisionsNearTheCourtroomTable } from "./components/TelevisionsNearTheCourtroomTable";

import { PaginationProvider } from "shared/stores/pagination";
import { FiltersProvider } from "shared/stores/filters";

export const HELMET = {
  title: "Телевизор у зала суда | АС города Москвы",
  description: "",
};
export const TITLE = "Телевизоры у зала суда";

function TelevisionsNearTheCourtroomPage() {
  return (
    <FiltersProvider>
      <PaginationProvider>
        <Helmet helmet={HELMET}>
          <TablePageTemplate
            title={TITLE}
            QueryFilter={<TelevisionsNearTheCourtroomQueryFilter />}
            Table={<TelevisionsNearTheCourtroomTable />}
          />
          <TelevisionsNearTheCourtroomModals />
        </Helmet>
      </PaginationProvider>
    </FiltersProvider>
  );
}

export default TelevisionsNearTheCourtroomPage;
