import { JUDGE_STATUS_TYPES } from "shared/constants/judge";
import { z } from "zod";

export const JudgeEntitySchema = z.object({
  id: z.number(),
  fio: z.string(),
  email: z.string().email(),
  description: z.string().nullable(),
  status: z.union([
    z.literal(JUDGE_STATUS_TYPES.Active),
    z.literal(JUDGE_STATUS_TYPES.Blocked),
  ]),
});

export type JudgeEntity = z.infer<typeof JudgeEntitySchema>;

export const JudgeEntitiesSchema = z.array(JudgeEntitySchema);

export type JudgeEntities = z.infer<typeof JudgeEntitiesSchema>;
