import { sessionCaseInstance } from "./sessionCaseInstance";
import { showCaseInstance } from "./showCaseInstance";

const ACCESS_TOKEN = "";

sessionCaseInstance.interceptors.request.use(
  async (config) => {
    config.headers.Authorization = `Bearer ${ACCESS_TOKEN}`;
    return config;
  },
  (error) => Promise.reject(error),
);

sessionCaseInstance.interceptors.response.use(
  (response) => response,
  async function (error) {
    const originalRequest = error.config;
    if (error.response.status === 403 && !originalRequest._retry) {
      originalRequest._retry = true;
      return sessionCaseInstance(originalRequest);
    }
    return Promise.reject(error);
  },
);

showCaseInstance.interceptors.request.use(
  async (config) => {
    config.headers.Authorization = `Bearer ${ACCESS_TOKEN}`;
    return config;
  },
  (error) => Promise.reject(error),
);

showCaseInstance.interceptors.response.use(
  (response) => response,
  async function (error) {
    const originalRequest = error.config;
    if (error.response.status === 403 && !originalRequest._retry) {
      originalRequest._retry = true;
      return showCaseInstance(originalRequest);
    }
    return Promise.reject(error);
  },
);
