import { SvgIcon, SvgIconProps } from "@mui/material";

import Svg from "../../svgs/Info.svg?react";
import { forwardRef } from "react";
import { Box, BoxProps } from "shared/ui/components";

type Props = BoxProps & {
  svgProps?: SvgIconProps;
};

function InfoComponent(props: Props, ref: any) {
  const { svgProps = {}, ...rest } = props;
  return (
    <Box sx={{ display: "flex" }} {...rest} ref={ref}>
      <SvgIcon component={Svg} {...svgProps} />
    </Box>
  );
}

export const Info = forwardRef(InfoComponent);
