export const DEVICE_TYPE_ID = {
  Tablets: 0,
  SamllTv: 1,
  BigTv: 2,
} as const;

export const DEVICE_STATUS_TYPES = {
  Actively: "Actively",
  Connected: "Connected",
  Disabled: "Disabled",
  // NotConnected: "NotConnected",
} as const;

export const DEVICE_STATUS_ID = {
  [DEVICE_STATUS_TYPES.Connected]: 0,
  [DEVICE_STATUS_TYPES.Actively]: 0,
  [DEVICE_STATUS_TYPES.Disabled]: 2,
  // [DEVICE_STATUS_TYPES.NotConnected]: 2,
};

export const DEVICE_STATUS_COLORS = {
  [DEVICE_STATUS_TYPES.Disabled]: "error",
  // [DEVICE_STATUS_TYPES.NotConnected]: "secondary",
  [DEVICE_STATUS_TYPES.Actively]: "success",
  [DEVICE_STATUS_TYPES.Connected]: "primary",
} as const;

export const DEVICE_STATUS_NAMES = {
  [DEVICE_STATUS_TYPES.Disabled]: "Отключено",
  // [DEVICE_STATUS_TYPES.NotConnected]: "Не подключено",
  [DEVICE_STATUS_TYPES.Actively]: "Активно",
  [DEVICE_STATUS_TYPES.Connected]: "Подключено",
} as const;

export type DeviceStatus = keyof typeof DEVICE_STATUS_TYPES;

export const DEVICE_STATUS_ID_TO_TYPES = {
  [DEVICE_STATUS_ID.Actively]: DEVICE_STATUS_TYPES.Actively,
  [DEVICE_STATUS_ID.Connected]: DEVICE_STATUS_TYPES.Connected,
  [DEVICE_STATUS_ID.Disabled]: DEVICE_STATUS_TYPES.Disabled,
};
