import { UndefinedInitialDataOptions, useQuery } from "@tanstack/react-query";
import { getJudges, GetJudgesRequestDto } from "shared/api/judges";

const judgeListKey = ["judges"];

export function useJudgeListQuery(
  dto: GetJudgesRequestDto,
  options?: UndefinedInitialDataOptions<Awaited<ReturnType<typeof getJudges>>>,
) {
  return useQuery({
    queryKey: [...judgeListKey, dto.page, dto.pageSize, dto.order],
    queryFn: () => getJudges(dto),
    ...options,
  });
}
