import { DeviceEntity } from "./entities";

export type DevicesParams = {
  deviceType: number;
  page: number;
  size: number;
  statusId?: number;
  sortDirect?: string;
  hallId?: string;
};

export type DeviceDTO = {
  deviceType: number;
  id: string;
};

export type DeviceElementDTO = {
  id: string;
  deviceType: number;
  manufacturer: string;
  model: string;
  hallId: string;
  hallName: string;
  statusId: number;
};

export type DevicesDTO = {
  content: DeviceElementDTO[];
  size: number;
  totalElements: number;
  totalPages: number;
  number: number;
};

export type UpdateDeviceParams = {
  deviceId: string;
  manufacturer: string;
  model: string;
  hallId: string;
};

export type ChangeDeviceStatusParams = {
  deviceId: string;
  status: number;
};

export type DevicesList = {
  items: DeviceEntity[];
  rowCount: number;
};
