import { z } from "zod";
import { DEVICE_STATUS_ID } from "shared/constants/device";

export const DeviceEntitySchema = z.object({
  id: z.string(),
  manufacturer: z.string(),
  model: z.string(),
  uuid: z.string().uuid(),
  hallName: z.string(),
  hallId: z.string(),
  statusId: z.union([
    z.literal(DEVICE_STATUS_ID.Connected),
    z.literal(DEVICE_STATUS_ID.Actively),
    z.literal(DEVICE_STATUS_ID.Disabled),
    // z.literal(DEVICE_STATUS_TYPES.NotConnected),
  ]),
});

export type DeviceEntity = z.infer<typeof DeviceEntitySchema>;

export const DeviceEntitiesSchema = z.array(DeviceEntitySchema);

export type DeviceEntities = z.infer<typeof DeviceEntitiesSchema>;
