import { HALL_STATUS_ID } from "shared/constants/hall";
import { z } from "zod";

export const HallEntitySchema = z.object({
  id: z.string(),
  hallNumber: z.string(),
  tablet: z.string(),
  tv: z.string(),
  note: z.string(),
  reasonBlocking: z.string(),
  sleepTime: z.number().optional(),
  statusId: z.union([
    z.literal(HALL_STATUS_ID.Active),
    z.literal(HALL_STATUS_ID.Blocked),
  ]),
});

export type HallEntity = z.infer<typeof HallEntitySchema>;

export const HallEntitiesSchema = z.array(HallEntitySchema);

export type HallEntities = z.infer<typeof HallEntitiesSchema>;
