import { HallEntity } from "shared/types/halls/entities/hall";
import { DeviceDTO } from "../devices";

export type HallsParams = {
  page: number;
  size: number;
};

export type HallsDTO = {
  content: HallElementDTO[];
  size: number;
  totalElements: number;
  totalPages: number;
  number: number;
};

export type HallElementType = {
  hallId: string;
  hallName: string;
};

export type HallsByDeviceTypeDTO = {
  halls: HallElementType[];
};

export type HallElementDTO = {
  hallId: string;
  hallName: string;
  devices: DeviceDTO[];
  blockReason: string;
  statusId: number;
  notes: string;
};

export type HallEditRequestParams = {
  id: string;
  name: string;
  notes: string;
  sleepTime: number;
};

export type HallCardResponseDTO = {
  deviceDTOList: DeviceDTO[];
  hallName: string;
  notes: string;
  pin: string;
  sleepTime: number;
};

export type HallChangeStatusParams = {
  deviceHallId: string;
  status: number;
  blockReason?: string;
};

export type HallsList = {
  items: HallEntity[];
  rowCount: number;
};

export type HallsByDeviceType = {
  value: string;
  label: string;
};
