import { ComponentType, forwardRef, Suspense } from "react";

function Loadable<T>(Component: ComponentType<T>) {
  const component = function LoadableComponent(props: T, ref: any) {
    return (
      <Suspense>
        <Component {...props} ref={ref} />
      </Suspense>
    );
  };

  return forwardRef(component);
}

export { Loadable };
