import MUI, { BoxProps as MUIProps } from "@mui/material/Box";

import React, { forwardRef } from "react";

export type BoxProps = {
  className?: string;
  children?: React.ReactNode;
} & MUIProps;

function BoxComponent(props: BoxProps, ref: any) {
  const { className, component, ...restProps } = props;

  return <MUI ref={ref} className={className} {...restProps} />;
}

export const Box = forwardRef(BoxComponent);
