import {
  FormControlLabel,
  Checkbox as Mui,
  CheckboxProps as MuiProps,
} from "@mui/material";
import { Typography } from "../Typography/Typography";

type CheckboxProps = Omit<MuiProps, "checked"> & {
  label?: string;
  value?: boolean;
};

export function Checkbox(props: CheckboxProps) {
  const { label, value, ...rest } = props;
  return (
    <FormControlLabel
      control={<Mui color="primary" checked={value} {...rest} />}
      label={
        <Typography variant="body2" noWrap>
          {label}
        </Typography>
      }
    />
  );
}

// import Checkbox from '@mui/joy/Checkbox';
