import { styled } from "@mui/material";

export type HeaderProps = {
  leftContent?: React.ReactNode;
  rightContent?: React.ReactNode;
};

const HeaderWrapper = styled("header")(({ theme }) => {
  return {
    display: "flex",
    alignItems: "center",
    justifyContent: "space-between",

    width: "100%",

    padding: "16px 32px",

    backgroundColor: theme.colors.GRAY_DARK,
    color: theme.colors.BG_LIGHT,
  };
});

const ContentWrapper = styled("div")(({ theme }) => {
  return {
    display: "flex",
    alignItems: "center",
    gap: theme.spacing(2),
  };
});

export function Header(props: HeaderProps) {
  const { leftContent, rightContent } = props;
  return (
    <HeaderWrapper>
      <ContentWrapper>{leftContent}</ContentWrapper>
      <ContentWrapper>{rightContent}</ContentWrapper>
    </HeaderWrapper>
  );
}
