import {
  TextField as Mui,
  TextFieldProps as MioProps,
  InputAdornment,
} from "@mui/material";
import { useState } from "react";
import { IconButton } from "../IconButton/IconButton";
import { Icon } from "shared/assets/icons";

export type InputProps = MioProps & {};
export function Input(props: InputProps) {
  return <Mui variant="standard" {...props} />;
}

export function InputPassword(props: InputProps) {
  const [show, setShow] = useState(false);

  return (
    <Mui
      type={show ? "text" : "password"}
      variant="standard"
      InputProps={{
        endAdornment: (
          <InputAdornment position="end">
            <IconButton
              disabled={props.disabled}
              onClick={() => setShow((prev) => !prev)}
              edge="end"
            >
              {show ? <Icon.EyeOn /> : <Icon.EyeOff />}
            </IconButton>
          </InputAdornment>
        ),
      }}
      {...props}
    />
  );
}
