import {
  ListItem as Mui,
  ListItemProps as MuiProps,
  ListItemButton as MuiListItemButton,
  ListItemButtonProps as MuiListItemButtonProps,
  ListItemText as MuiListItemText,
  ListItemTextProps as MuiListItemTextProps,
} from "@mui/material";
import { NavLink } from "../NavLink/NavLink";

export type ListItemProps = MuiProps;

export function ListItem(props: ListItemProps) {
  return <Mui {...props} />;
}

export type ListItemButtonProps = MuiListItemButtonProps & {
  to?: string;
};
export function ListItemButton(props: ListItemButtonProps) {
  const { to, ...rest } = props;
  if (!to) return <MuiListItemButton {...rest} />;
  return <MuiListItemButton component={NavLink} to={to} {...rest} />;
}

export type ListItemTextProps = MuiListItemTextProps;
export function ListItemText(props: ListItemTextProps) {
  return <MuiListItemText {...props} />;
}
