type ColumnAlignment = "left" | "right" | "center";

export type Column = {
  field: string;
  headerName?: string;
  description?: string;
  width?: number | string;
  align?: ColumnAlignment;
  renderCell?: (params: any, index?: number) => React.ReactNode;
  renderHeader?: () => React.ReactNode;
  enableOrder?: boolean;
};

export type Row = {
  id: string | number;
  [key: string]: any;
};

export type PaginationProps = {
  page: number;
  pageSize: number;
  onPageChange: (page: number) => void;
  onPageSizeChange: (page: number) => void;
  rowCount: number;
};

type Order = "asc" | "desc" | null;

export type SortingProps = {
  orderBy: string | null;
  order: Order;
  onOrederChange: (arg: { name: string; value: Order }) => void;
};
