import {
  Tooltip as MuiTooltip,
  TooltipProps,
  styled,
  tooltipClasses,
} from "@mui/material";

export const Tooltip = styled(({ className, ...props }: TooltipProps) => (
  <MuiTooltip {...props} classes={{ popper: className }} />
))(({ theme }) => ({
  [`& .${tooltipClasses.tooltip}`]: {
    backgroundColor: theme.colors.GRAY,
    color: theme.colors.BG_LIGHT,
    boxShadow: theme.shadows[1],
    borderRadius: theme.spacing(1),
    padding: "8px 16px",
  },
}));
