import { Box, Typography } from "shared/ui/components";

export type PrimarySecondaryTextProps = {
  primary: string;
  secondary: string;
  variant?: "firstPrimary" | "firstSecondary";
};
export function PrimarySecondaryText(props: PrimarySecondaryTextProps) {
  const { primary, secondary, variant = "firstPrimary" } = props;
  const primaryProps = { variant: "body2", children: primary } as const;
  const secondaryProps = { variant: "caption", children: secondary } as const;

  const isFirstPrimary = variant === "firstPrimary";

  const [firstProps, secondProps] = isFirstPrimary
    ? [primaryProps, secondaryProps]
    : [secondaryProps, primaryProps];

  return (
    <Box>
      <Typography {...firstProps} />
      <Typography {...secondProps} />
    </Box>
  );
}
