import { AxiosError } from "axios";

export class NetworkError extends Error {
  status: number;
  message: string;

  constructor(error: AxiosError) {
    super(error.message);

    this.message = error.message;
    this.status = error.response?.status || 0;
  }
}

export function errorHandler(error: unknown) {
  if (error instanceof AxiosError) {
    throw new NetworkError(error);
  }
}
