import { ThemeProvider } from "@mui/material/styles";
import { HelmetProvider } from "react-helmet-async";
import { HashRouter } from "react-router-dom";

import { theme } from "shared/constants/theme";

import { Routing } from "pages";

import "shared/assets/styles/index.css";
import { ScaleProvider } from "./providers";

const App = () => {
  return (
    <HashRouter>
      <HelmetProvider>
        <ThemeProvider theme={theme}>
          <ScaleProvider>
            <Routing />
          </ScaleProvider>
        </ThemeProvider>
      </HelmetProvider>
    </HashRouter>
  );
};

export default App;
