import { Box } from "@mui/material";
import { ReactNode } from "react";
import styled from "@emotion/styled";

const BASE_WINDOW_WIDTH = 3840;

const Container = styled(Box)(() => {
  return {
    width: BASE_WINDOW_WIDTH,
    height: 2160,
    transformOrigin: "0 0",
    transform: `scale(${
      BASE_WINDOW_WIDTH > window.innerWidth
        ? window.innerWidth / BASE_WINDOW_WIDTH
        : BASE_WINDOW_WIDTH / window.innerWidth
    })`,
  };
});



export const ScaleProvider = ({ children }: { children: ReactNode }) => {
  return <Container>{children}</Container>;
};


