import { Box, styled } from "@mui/material";
import { ReactNode } from "react";

export function Layout({
  main,
  topBar,
}: {
  topBar?: ReactNode;
  main?: ReactNode;
}) {
  return (
    <>
      <Header>{topBar}</Header>
      <Main>{main}</Main>
    </>
  );
}

const Header = styled(Box)(({ theme }) => {
  return {
    display: "flex",
    alignItems: "center",
    justifyContent: "space-between",
    height: theme.custom.header.height,
    backgroundColor: theme.custom.header.color,
    padding: `48px 98px`,
    color: theme.palette.getContrastText(theme.custom.header.color),
  };
});

const Main = styled(Box)(({ theme }) => {
  return {
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "center",
    flexGrow: 1,
    gap: theme.spacing(20),
  };
});
