import { Axios } from "axios";
import { showCaseInstance } from "shared/api";
import { SessionListDto } from "shared/types/session/dto";
import { errorHandler } from "shared/utils";

export class MeetingRepository {
  #showCaseApi: Axios = showCaseInstance;

  async getSessions(deviceId: string): Promise<SessionListDto> {
    try {
      const result = await this.#showCaseApi.get(
        `/api/v1/hearing-session/big-tv/${deviceId}`,
      );

      return result.data;
    } catch (error) {
      throw errorHandler(error);
    }
  }
}
