import { z } from "zod";

const meetingEntitySchema = z.object({
  id: z.string(),
  start: z.date(),
  hallNumber: z.number(),
  caseNumber: z.number(),
  prefix: z.string(),
  postfix: z.string(),
});

export type MeetingEntity = z.infer<typeof meetingEntitySchema>;

export const meetingEntitiesSchema = z.array(meetingEntitySchema);

export type MeetingEntities = z.infer<typeof meetingEntitiesSchema>;
