import { ReactNode } from "react";
import { Helmet as BaseHelmet } from "react-helmet-async";

namespace Helmet {
  export type Props = {
    children: ReactNode;
    helmet?: {
      title?: string;
      description?: string;
    };
  };
}

export function Helmet(props: Helmet.Props) {
  const { children, helmet } = props;
  return (
    <>
      <BaseHelmet>
        {helmet?.title && <title>{helmet.title}</title>}
        {helmet?.description && (
          <meta name="description" content={helmet.description} />
        )}
      </BaseHelmet>
      {children}
    </>
  );
}
