package ru.avilex.session.controller;

import jakarta.validation.Valid;

import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import ru.avilex.session.dto.request.PinCodeAuthRequestDTO;
import ru.avilex.session.dto.response.PinCodeAuthResponseDTO;
import ru.avilex.session.service.DeviceService;

import java.util.UUID;

@RestController
@RequestMapping("/api")
@RequiredArgsConstructor
public class AuthenticationController {

    private final DeviceService deviceService;

    @PostMapping("/device/{deviceId}/auth")
    public ResponseEntity<PinCodeAuthResponseDTO> authenticate(@PathVariable ("deviceId") UUID deviceId,
                                                               @Valid @RequestBody PinCodeAuthRequestDTO request) {
        return ResponseEntity.ok().body(deviceService.authenticate(deviceId, request.getPin()));
    }
}
