package ru.avilex.session.enumeration;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

import java.util.Arrays;

@ToString
@RequiredArgsConstructor
public enum DeviceHallStatus {

    ACTIVATED(0, "Активна"),
    BLOCKED(1, "Заблокирована"),
    LOGOUT(2, "Логаут"),
    DELETED(3, "Удалена"),
    BLOCKED_BY_PIN(4, "Блокировка по пин-коду");


    @Getter
    private final int code;
    @Getter
    private final String name;

    public static DeviceHallStatus fromCode(int code) {
        return Arrays.stream(DeviceHallStatus.values())
                .filter(deviceHallStatusCode -> deviceHallStatusCode.code == code)
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException(
                        String.format("Status for given code: [%s] is not found", code)));
    }

}
