package ru.avilex.session.enumeration;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

import java.util.Arrays;

@ToString
@RequiredArgsConstructor
public enum DeviceStatus {

    CONNECTED(0, "Подключено"),
    ACTIVATED(1, "Активно"),
    DISABLED(2, "Отключено");

    @Getter
    private final int code;
    @Getter
    private final String name;

    public static DeviceStatus fromCode(int code) {
        return Arrays.stream(DeviceStatus.values())
                .filter(deviceStatusCode -> deviceStatusCode.code == code)
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException(
                        String.format("Status for given code: [%s] is not found", code)));
    }

}
