package ru.avilex.session.enumeration;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

@ToString
@RequiredArgsConstructor
public enum ErrorStatusCode {

    DEVICE_NOT_CONFIGURED(433, "Устройство не сконфигурировано", "The device is not active in the admin panel"),
    SESSION_LOGOUT(434, "Учетная запись зала находится в статусе 'Логаут'", "Account session ended in the admin panel"),
    SESSION_BLOCKED(435, "Учетная запись зала находится в статусе 'Заблокирована'", ""),
    DEVICE_HALL_CHANGE_STATUS(438, "Ошибка в процессе изменения статуса зала", ""),
    DEAL_STATUS_CHANGES(437, "Ошибка изменения статуса дела", "Status deal change error"),
    DEVICE_HALL_DELETED(441, "Карточка зала удалена", "Device hall status is 'deleted'"),
    CHECK_DEVICE_HALL(442, "Карточка зала находится в статусе активна и используется другим девайсовм. Единовременна может быть активна только одна сессия.",
            "The hall card is active and is used by another device");


    @Getter
    private final int code;
    @Getter
    private final String reason;
    @Getter
    private final String errorMessage;

}
