package ru.avilex.session.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValuePropertyMappingStrategy;
import org.springframework.context.annotation.Configuration;
import org.mapstruct.ReportingPolicy;
import ru.avilex.session.dto.HallStreamDTO;
import ru.avilex.session.model.DeviceHall;

@Configuration
@Mapper(
        componentModel = "spring",
        nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE,
        unmappedTargetPolicy = ReportingPolicy.IGNORE
)
public interface DeviceHallMapper {
    @Mapping(target = "uuid", source = "id")
    @Mapping(target = "status", expression = "java(0)")
    @Mapping(target = "sleepTime", expression = "java(30)")
    DeviceHall fromHallStreamDto(HallStreamDTO dto);
}
