package ru.avilex.session.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValuePropertyMappingStrategy;
import org.mapstruct.ReportingPolicy;
import org.springframework.stereotype.Component;
import ru.avilex.session.dto.response.PinCodeAuthResponseDTO;
import ru.avilex.session.model.DeviceHall;
import ru.avilex.session.model.Hall;

@Component
@Mapper(
        componentModel = "spring",
        nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE,
        unmappedTargetPolicy = ReportingPolicy.IGNORE
)
public interface ResponseMapper {
    @Mapping(target = "uuid", source = "uuid")
    @Mapping(target = "hallName", source = "name")
    PinCodeAuthResponseDTO toResponseDTO(DeviceHall deviceHall);
}