package ru.avilex.session.model;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@Entity
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "device_hall", schema = "session_service")
public class DeviceHall extends AbstractEntity {

    @Column(name = "name")
    private String name;

    @Column(name = "status", nullable = false)
    private Integer status;

    @Column(name = "sleep_time")
    private Integer sleepTime;

    @Column(name = "pin")
    private String pin;

    @Column(name = "failed_attempts")
    private Short failedAttempts;

    @Column(name = "block_reason")
    private String blockReason;

    @Column(name = "notes")
    private String notes;

    @OneToMany(cascade = CascadeType.ALL, mappedBy = "deviceHall", orphanRemoval = true)
    private List<Session> sessionList;

    public void incrementFailedAttempts() {
        ++this.failedAttempts;
    }

}




