package ru.avilex.session.model;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Entity
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "session", schema = "session_service")
@Data
@EqualsAndHashCode(callSuper = true)
public class Session extends AbstractEntity {

    @Column(name = "status", nullable = false)
    private Integer statusCode = 0;

    @Column(name = "primary_case_number", nullable = false)
    private String primaryCaseNumber;

    @Column(name = "date_hearing", nullable = false)
    private LocalDateTime dateHearing;

    @ManyToOne(optional = false)
    @JoinColumn(name = "hall_id", referencedColumnName = "id")
    private DeviceHall deviceHall;

    @Column(name = "fact_complete_time", nullable = false)
    private LocalDateTime completeTime;
}
