package ru.avilex.session.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.avilex.session.model.DeviceHall;
import ru.avilex.session.model.Session;

import java.util.UUID;

@Repository
public interface SessionRepository extends JpaRepository<Session, UUID> {

    @Override
    default void deleteById(UUID uuid) {
        this.findById(uuid).ifPresent(session -> {
            session.setDeleted(true);
            this.delete(session);
        });
    }
}
