package ru.avilex.session.service;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import ru.avilex.session.constant.ConstantVariables;
import ru.avilex.session.dto.BigTvUpdatedConfigMessageDTO;
import ru.avilex.session.dto.BigTvUpdatedListMessageDTO;

import java.util.List;
import java.util.UUID;

@Service
@RequiredArgsConstructor
public class BigTvDtoBuilderService {

    public String createBigTvCommonUpdateMessageDTO() {
        return ConstantVariables.BIG_TV_COMMON_UPDATE;
    }

    public BigTvUpdatedConfigMessageDTO createUpdatedConfigMessageDto(UUID deviceId) {
        return BigTvUpdatedConfigMessageDTO.builder()
                .deviceId(deviceId)
                .message(ConstantVariables.BIG_TV_DEVICE_CONFIG_UPDATE)
                .build();
    }

    public BigTvUpdatedListMessageDTO createUpdatedDeviceListMessageDto(List<UUID> deviceIds) {
        return BigTvUpdatedListMessageDTO.builder()
                .deviceIds(deviceIds)
                .message(ConstantVariables.BIG_TV_DEVICE_CONFIG_UPDATE)
                .build();
    }

}