package ru.avilex.showcase.controller;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.avilex.showcase.dto.ServerDateTimeDTO;

import java.time.LocalDateTime;
import java.time.ZoneId;

@RestController
@RequestMapping("/api")
public class DateTimeController {

    @GetMapping("/service/server-time")
    public ResponseEntity<ServerDateTimeDTO> getServerDateTime() {
        return ResponseEntity.ok(new ServerDateTimeDTO(LocalDateTime.now().atZone(ZoneId.of("UTC"))));
    }

}
