package ru.avilex.showcase.controller;

import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.avilex.showcase.service.DeviceActivationStatusService;

import java.util.UUID;

@RestController
@RequestMapping(value = "/api/device")
@RequiredArgsConstructor
public class DeviceActivationStatusController {

    private final DeviceActivationStatusService deviceActivationStatusService;

    @GetMapping ("/{deviceId}/activation")
    public ResponseEntity<?> checkStatus(@PathVariable ("deviceId") UUID deviceId) {
        return ResponseEntity.ok(deviceActivationStatusService.checkStatus(deviceId));
    }
}
