package ru.avilex.showcase.controller;

import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.avilex.showcase.dto.DeviceConfigurationDTO;
import ru.avilex.showcase.service.DeviceService;

import java.util.UUID;

@RestController
@RequestMapping("/api/device")
@RequiredArgsConstructor
public class DeviceController {

    private final DeviceService deviceService;

    @GetMapping("/{deviceId}/configuration")
    public ResponseEntity<DeviceConfigurationDTO> getDeviceConfiguration(@PathVariable UUID deviceId) {
        DeviceConfigurationDTO dto = deviceService.getDeviceConfiguration(deviceId);
        return ResponseEntity.ok(dto);
    }
}