package ru.avilex.showcase.enumerations;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@Getter
@RequiredArgsConstructor
public enum DeviceType {

    TABLET("tablet", 0),
    SMALLTV("small-tv", 1),
    BIGTV("big-tv", 2);

    private final String value;

    private final int id;

    public static DeviceType fromCode(int code) {
        return Arrays.stream(DeviceType.values())
                .filter(deviceType -> deviceType.getId() == code)
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException(
                        String.format("Device type for given code: [%s] is not found", code)));
    }


}
