package ru.avilex.showcase.enumerations;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

import java.util.Arrays;

@ToString
@RequiredArgsConstructor
public enum DisplayHearingStatus {

    COMING(0,"Идут"),
    COMPLETED(1,"Завершены");

    @Getter
    private final int code;
    @Getter
    private final String name;

    public static DisplayHearingStatus fromCode(int code) {
        return Arrays.stream(DisplayHearingStatus.values())
                .filter(displayHearingStatus -> displayHearingStatus.code == code)
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException(
                        String.format("Status for given code: [%s] is not found", code)));
    }
}
