package ru.avilex.showcase.enumerations;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

    @ToString
    @RequiredArgsConstructor
    public enum ErrorStatusCode {

        DEVICE_NOT_CONFIGURED(433, "Устройство не сконфигурировано", "The device is not active in the admin panel"),
        COURTROOM_INFORMATION(436,"Ошибка получения информации по залу суда","Error in obtaining information on a court case"),
        SESSION_LOGOUT(434, "Учетная запись зала находится в статусе 'Логаут'","Account session ended in the admin panel"),
        SMALL_TV_COURTROOM(439,"Ошибка получения информации для отображения на телевизоре у зала суда","Error in obtaining information for display on TV outside the courtroom"),
        CONFIGURATION_NO_REQUEST(444, "Конфигурация устройства не соответствует запрашиваемым данным", "Data can not be obtained due to the device configuration");


        @Getter
        private final int code;
        @Getter
        private final String reason;
        @Getter
        private final String errorMessage;

}
