package ru.avilex.showcase.mapper;

import org.springframework.jdbc.core.RowMapper;
import ru.avilex.showcase.dto.response.DeviceHallDTO;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.UUID;

public class DeviceHallDTORowMapper implements RowMapper<DeviceHallDTO> {
    @Override
    public DeviceHallDTO mapRow(ResultSet rs, int rowNum) throws SQLException {
        UUID deviceHallId = UUID.fromString(rs.getString("device_hall_id"));
        String deviceHallName = rs.getString("name");
        return new DeviceHallDTO(deviceHallId, deviceHallName);
    }
}