package ru.avilex.showcase.repository;

import jakarta.persistence.EntityManager;
import jakarta.persistence.Query;
import jakarta.persistence.Tuple;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Repository;
import ru.avilex.showcase.dto.*;

import java.util.*;

@Repository
@RequiredArgsConstructor
public class HallRepository {

    private final EntityManager entityManager;

    public Optional<HallDTO> findByDeviceHallId(UUID deviceHallId) {
        String sql = """
                SELECT h.hall_name
                FROM nsiservice.hall h
                WHERE h.id = :deviceHallId
                """;

        Query query = entityManager.createNativeQuery(sql, Tuple.class);
        query.setParameter("deviceHallId", deviceHallId);

        List<Tuple> results = query.getResultList();
        return results.stream()
                .map(tuple -> new HallDTO(tuple.get("hall_name", String.class)))
                .findFirst();
    }

}
