package ru.avilex.showcase.service;

import jakarta.transaction.Transactional;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import ru.avilex.showcase.dto.DeviceActivationStatusDTO;
import ru.avilex.showcase.dto.DeviceHallDeviceDTO;
import ru.avilex.showcase.enumerations.DeviceHallStatus;
import ru.avilex.showcase.enumerations.DeviceStatus;
import ru.avilex.showcase.repository.DeviceHallDeviceRepository;

import java.util.UUID;

@Service
@RequiredArgsConstructor
@Transactional
public class DeviceActivationStatusService {

    private final DeviceHallDeviceRepository deviceHallDeviceRepository;

    public DeviceActivationStatusDTO checkStatus(UUID deviceId) {
        return isConfigured(deviceHallDeviceRepository.findByDeviceId(deviceId));
    }

    private DeviceActivationStatusDTO isConfigured(DeviceHallDeviceDTO dto) {
        if (dto == null
                || dto.getDeviceHallId() == null
                || dto.getDeviceStatus() != DeviceStatus.ACTIVATED.getCode()
                || dto.getDeviceHallStatus() != DeviceHallStatus.ACTIVATED.getCode()) {
            return new DeviceActivationStatusDTO();
        }
        return new DeviceActivationStatusDTO(true, dto.getDeviceHallId(), dto.getDeviceHallName());
    }
}
