package ru.avilex.showcase.service;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import ru.avilex.showcase.dto.HallCardResponseDTO;
import ru.avilex.showcase.dto.HallDeviceDTO;
import ru.avilex.showcase.dto.HallResponseDTO;
import ru.avilex.showcase.dto.PageDTO;
import ru.avilex.showcase.dto.response.DeviceHallDTO;
import ru.avilex.showcase.repository.DeviceHallRepository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Service
@RequiredArgsConstructor
public class DeviceHallService {

    private final DeviceHallRepository deviceHallRepository;

    public List<DeviceHallDTO> getListByDeviceTypeId(Integer deviceTypeId) {
        return deviceHallRepository.getListByDeviceTypeId(deviceTypeId);
    }

    public Optional<PageDTO<HallResponseDTO>> getList(Integer deviceType,
                                                      Integer statusId,
                                                      Boolean sortDirect,
                                                      UUID hallId,
                                                      Integer page,
                                                      Integer size) {
        return deviceHallRepository.getHalls(deviceType, statusId, sortDirect, hallId, page, size);
    }

    public Optional<PageDTO<HallDeviceDTO>> getDeviceHallList(int page, int size) {
        return deviceHallRepository.findAll(page, size);
    }

    public Optional<HallCardResponseDTO> getById(UUID id) {
        return deviceHallRepository.getById(id);
    }

}
