package ru.avilex.showcase.service;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import ru.avilex.showcase.dto.DeviceConfigurationDTO;
import ru.avilex.showcase.repository.DeviceRepository;
import ru.avilex.showcase.validator.DeviceValidator;

import java.util.UUID;

@Service
@RequiredArgsConstructor
public class DeviceService {

    private final DeviceRepository deviceRepository;
    private final DeviceValidator deviceValidator;

    public DeviceConfigurationDTO getDeviceConfiguration(UUID deviceId) {
        DeviceConfigurationDTO deviceDTO = deviceRepository.findDeviceConfiguration(deviceId);
        deviceValidator.validate(deviceDTO);
        return deviceDTO;
    }
}
