package ru.avilex.showcase.validator;

import org.springframework.stereotype.Component;
import ru.avilex.showcase.dto.DeviceHearingDTO;
import ru.avilex.showcase.enumerations.DeviceStatus;
import ru.avilex.showcase.exception.DeviceDisabledException;

import java.util.Set;
@Component
public class DeviceHearingValidator implements Validator<DeviceHearingDTO> {

    @Override
    public void validate(DeviceHearingDTO dto) {
        validateOnDeviceDisabled(dto);
    }

    private void validateOnDeviceDisabled(DeviceHearingDTO dto) {
        if (Set.of(DeviceStatus.CONNECTED.getCode(), DeviceStatus.DISABLED.getCode()).contains(Integer.valueOf(dto.getStatus()))) {
            throw new DeviceDisabledException();
        }
    }
}
