package ru.avilex.showcase.validator;

import org.springframework.stereotype.Component;
import ru.avilex.showcase.dto.DeviceConfigurationDTO;
import ru.avilex.showcase.enumerations.DeviceStatus;
import ru.avilex.showcase.exception.DeviceDisabledException;

import java.util.Set;

@Component
public class DeviceValidator implements Validator<DeviceConfigurationDTO> {

    @Override
    public void validate(DeviceConfigurationDTO dto) {
        validateOnDeviceDisabled(dto);
    }

    private void validateOnDeviceDisabled(DeviceConfigurationDTO dto) {
        if (dto.getStatus() == null || Set.of(DeviceStatus.CONNECTED.getCode(), DeviceStatus.DISABLED.getCode()).contains(dto.getStatus())) {
            throw new DeviceDisabledException();
        }
    }
}

