import 'package:al/activation/activation_dependencies.dart';
import 'package:al/framework/di/di_assembly.dart';
import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/network/request_sender.dart';
import 'package:al/framework/storages/secure_storage.dart';
import 'package:al/framework/timer/logic/repositories/server_timer_repository.dart';
import 'package:al/activation/logic/bloc/activation_cubit.dart';
import 'package:al/activation/logic/repository/activation_repository.dart';

class ActivationAssembly extends DIAssembly {
  ActivationAssembly();

  @override
  assembly(DIContainer container) {
    container.registerSingleton(
      (container) => ActivationRepository(
        secureStorage: container.resolve<ISecureStorage>(),
        requestSender: container.resolve<RequestSender>(),
      ),
    );
    container.registerFactory(
      (container) => ActivationCubit(
        completionDelegate: container.resolve<IActivationCompletionDelegate>(),
        secureStorage: container.resolve<ISecureStorage>(),
        serverTimerRepository: container.resolve<ServerTimerRepository>(),
        activationRepository: container.resolve<ActivationRepository>(),
      ),
    );
  }
}
