part of 'activation_cubit.dart';

sealed class ActivationState extends Equatable {
  final DateTime? date;
  final String? uuid;

  const ActivationState({
    required this.date,
    required this.uuid,
  });

  @override
  List<Object?> get props => [date, uuid];
}

class ActivationInitial extends ActivationState {
  const ActivationInitial({
    required super.date,
    required super.uuid,
  });
}

class ActivationSuccess extends ActivationState {
  final ActivationHallInfo activationHallInfo;

  const ActivationSuccess({
    required super.date,
    required super.uuid,
    required this.activationHallInfo,
  });

  @override
  List<Object?> get props => [super.props, activationHallInfo];
}
