import 'package:al/framework/network/request_sender.dart';
import 'package:al/activation/logic/entities/activation_hall_info.dart';
import 'package:typed_json/typed_json.dart';

class ActivationCheckResponse extends IResponse {
  late final ActivationHallInfo? activationHallInfo;

  @override
  void parseResult(Json json) {
    final field = json['isConfigured'];

    if (field.isExist && field.boolOrException) {
      activationHallInfo = ActivationHallInfo.fromJson(json);
    } else {
      activationHallInfo = null;
    }
  }
}
