import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/ui/navigation/navigation_coordinator.dart';
import 'package:al/activation/logic/bloc/activation_cubit.dart';
import 'package:al/activation/ui/activation_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class ActivationCoordinator extends NavigationCoordinator {
  final DIContainer diContainer;
  final PreferredSizeWidget Function({
    required BuildContext context,
    Widget? title,
  }) onGetAppBar;

  ActivationCoordinator({
    required this.diContainer,
    required this.onGetAppBar,
  });

  Widget getIdentificationPage() {
    return BlocProvider<ActivationCubit>(
      create: (context) => diContainer.resolve<ActivationCubit>(),
      child: ActivationPage(
        onGetAppBar: onGetAppBar,
      ),
    );
  }
}
