import 'package:al/activation/logic/repository/activation_repository.dart';
import 'package:al/auth/auth_dependencies.dart';
import 'package:al/auth/logic/bloc/auth_cubit.dart';
import 'package:al/auth/logic/repository/auth_repository.dart';
import 'package:al/framework/di/di_assembly.dart';
import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/network/request_sender.dart';
import 'package:al/framework/storages/secure_storage.dart';

class AuthAssembly extends DIAssembly {
  AuthAssembly();

  @override
  assembly(DIContainer container) {
    container.registerSingleton(
      (container) => AuthRepository(
        secureStorage: container.resolve<ISecureStorage>(),
        requestSender: container.resolve<RequestSender>(),
        sleepTimeLogoutDelegate:
            container.resolve<IAuthSleepTimeLogoutDelegate>(),
      ),
    );

    container.registerFactory(
      (container) => AuthCubit(
        secureStorage: container.resolve<ISecureStorage>(),
        activationRepository: container.resolve<ActivationRepository>(),
        authRepository: container.resolve<AuthRepository>(),
        completionDelegate: container.resolve<IAuthCompletionDelegate>(),
      ),
    );
  }
}
