import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class AuthRequest extends Equatable {
  final String login;
  final String password;

  const AuthRequest({
    required this.login,
    required this.password,
  });

  AuthRequest.fromJson(Json json)
    : login = json["login"].stringOrException,
      password = json["password"].stringOrException;

  AuthRequest copy() {
    return AuthRequest(
      login: login,
      password: password,
    );
  }

  @override
  // TODO: implement props
  List<Object?> get props => [login, password];
}
