part of 'auth_cubit.dart';

sealed class AuthState extends Equatable {
  const AuthState({
    required this.hallName,
    required this.uuid,
    required this.attemptCount,
  });

  final String hallName;
  final String uuid;
  final int attemptCount;

  @override
  List<Object?> get props => [hallName, uuid, attemptCount];
}

class AuthInitial extends AuthState {
  const AuthInitial({
    required String hallName,
    required String uuid,
    required int attemptCount,
  }) : super(
          hallName: hallName,
          uuid: uuid,
          attemptCount: attemptCount,
        );
}

class AuthInProgress extends AuthState {
  const AuthInProgress({
    required String hallName,
    required String uuid,
    required int attemptCount,
  }) : super(
          hallName: hallName,
          uuid: uuid,
          attemptCount: attemptCount,
        );
}

class AuthSuccess extends AuthState {
  const AuthSuccess({
    required String hallName,
    required String uuid,
    required int attemptCount,
  }) : super(
          hallName: hallName,
          uuid: uuid,
          attemptCount: attemptCount,
        );
}

class AuthFail extends AuthState {
  const AuthFail({
    required String hallName,
    required String uuid,
    required int attemptCount,
  }) : super(
          hallName: hallName,
          uuid: uuid,
          attemptCount: attemptCount,
        );
}
