import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class AuthHallInfo extends Equatable {
  final String hallId;
  final String hallName;
  final int sleepTime;

  const AuthHallInfo({
    required this.hallId,
    required this.hallName,
    required this.sleepTime,
  });

  AuthHallInfo.fromJson(Json json)
      : hallId = json['hallId'].stringOrException,
        hallName = json['hallName'].stringOrException,
        sleepTime = json['sleepTime'].intOrException;

  @override
  List<Object?> get props => [hallId, hallName, sleepTime];
}
