import 'package:typed_json/typed_json.dart';

import 'package:al/framework/network/i_request.dart';

class AuthRequest extends IPostRequest {
  final String uuid;
  final String pin;

  AuthRequest({
    required this.uuid,
    required this.pin,
  });

  @override
  String get apiMethod => 'session-service/api/device/$uuid/auth';

  @override
  Json getBody() {
    final json = Json.object();
    json['pin'].stringValue = pin;

    return json;
  }
}
