import 'package:al/auth/logic/bloc/auth_cubit.dart';
import 'package:al/auth/ui/auth/auth_page.dart';
import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/ui/navigation/navigation_coordinator.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class AuthCoordinator extends NavigationCoordinator {
  final DIContainer diContainer;
  final PreferredSizeWidget Function({
    required BuildContext context,
    Widget? title,
  }) onGetAppBar;

  AuthCoordinator({
    required this.diContainer,
    required this.onGetAppBar,
  });

  Widget getAuthPage() {
    return BlocProvider<AuthCubit>(
      create: (context) => diContainer.resolve<AuthCubit>(),
      child: AuthPage(
        onGetAppBar: onGetAppBar,
      ),
    );
  }
}
