import 'package:appmetrica_plugin/appmetrica_plugin.dart';
import 'package:al/framework/analytics/analytics_event.dart';
import 'package:al/framework/analytics/analytics_notifier_widget.dart';
import 'package:al/framework/log/log.dart';

class AnalyticsSender {

  final bool isAnalyticsDebugEnabled;

  const AnalyticsSender({required this.isAnalyticsDebugEnabled});

  Future<void> send(AnalyticsEvent event) async {
    await _sendYandex(event);
    if (isAnalyticsDebugEnabled) {
      AnalyticsNotifierWidget.showNotification(event.toString());
    }
    Log.i("Событие аналитики: ${event.toString()}");
  }

  Future<void> _sendYandex(AnalyticsEvent event) async {
    await AppMetrica.reportEvent(event.name);
  }
}
