import 'package:flutter/material.dart';
import 'package:al/framework/theme/al_theme_colors.dart';
import 'package:al/framework/theme/al_theme_shadows.dart';
import 'package:al/framework/theme/al_theme_text_styles.dart';
import 'package:al/framework/types/al_device_type.dart';

extension BuildContextExtension on BuildContext {
  ThemeData get theme => Theme.of(this);
  Brightness get brightness => theme.brightness;
  bool get isDarkMode => brightness == Brightness.dark;

  Orientation get orientation => MediaQuery.of(this).orientation;

  ALThemeColors get colors => theme.extension<ALThemeColors>()!;
  ALThemeShadows get shadows => theme.extension<ALThemeShadows>()!;
  ALThemeTextStyles get textStyles => theme.extension<ALThemeTextStyles>()!;

  ALDeviceType get deviceType => ALDeviceTypeAdapter().fromContext(this);
}
