import 'package:al/framework/formatters/al_date_formatter.dart';
import 'package:typed_json/typed_json.dart';

class ALDateJsonAdapter implements JsonAdapter<DateTime> {
  final String format;

  ALDateJsonAdapter({required this.format});

  @override
  DateTime? fromJson(Json json) {
    if (json.stringValue?.isNotEmpty != true) {
      return null;
    }
    return ALDateFormatter.fromString(json.stringValue!, format);
  }

  @override
  Json toJson(DateTime? value) {
    if (value != null) {
      return Json(ALDateFormatter.format(value, format));
    } else {
      return Json.empty();
    }
  }
}
