import 'package:typed_json/typed_json.dart';

class CommonResponse {
  final int statusCode;
  final String? statusMessage;
  final Json result;

  CommonResponse({
    required this.statusCode,
    required this.statusMessage,
    required this.result,
  });

  static CommonResponse fromJson(Json json) {
    return CommonResponse(
      statusCode: json["status"]["code"].intOrException,
      statusMessage: json["status"]["message"].stringValue,
      result: json["result"],
    );
  }
}
