import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class PageMetadata extends Equatable {
  final int totalCount;
  final int pageCount;
  final int currentPage;
  final int perPage;

  const PageMetadata({
    required this.totalCount,
    required this.pageCount,
    required this.currentPage,
    required this.perPage,
  });

  PageMetadata.fromJson(Json json)
      : totalCount = json['totalCount'].intValue!,
        pageCount = json['pageCount'].intValue!,
        currentPage = json['currentPage'].intValue!,
        perPage = json['perPage'].intValue!;

  @override
  List<Object?> get props => [
        totalCount,
        pageCount,
        currentPage,
        perPage,
      ];
}
