import 'package:flutter/material.dart';
import 'package:al/framework/theme/al_theme_colors.dart';
import 'package:al/framework/theme/al_theme_shadows.dart';
import 'package:al/framework/theme/al_theme_text_styles.dart';

class ALTheme {
  static ThemeData get light {
    final textStyle = ALThemeTextStyles.light;

    const colors = ALThemeColors.lightColors;
    return ThemeData(
      brightness: Brightness.light,
      visualDensity: VisualDensity.adaptivePlatformDensity,
      primaryColor: colors.primary,
      scaffoldBackgroundColor: colors.whiteBackground,
      extensions: [
        colors,
        textStyle,
        ALThemeShadows.light,
      ],
      textTheme: textStyle.getTextTheme(),
      appBarTheme: const AppBarTheme().copyWith(
        surfaceTintColor: colors.whiteCard,
      ),
      iconButtonTheme: IconButtonThemeData(
        style: IconButton.styleFrom(
          tapTargetSize: MaterialTapTargetSize.shrinkWrap,
        ),
      ),
    );
  }

  static ThemeData get dark {
    final textStyle = ALThemeTextStyles.light;

    const colors = ALThemeColors.darkColors;
    return ThemeData(
      brightness: Brightness.dark,
      visualDensity: VisualDensity.adaptivePlatformDensity,
      primaryColor: colors.primary,
      scaffoldBackgroundColor: colors.whiteBackground,
      extensions: [
        colors,
        textStyle,
        ALThemeShadows.dark,
      ],
      textTheme: textStyle.getTextTheme(),
      appBarTheme: const AppBarTheme().copyWith(
        surfaceTintColor: colors.whiteCard,
      ),
      iconButtonTheme: IconButtonThemeData(
        style: IconButton.styleFrom(
          tapTargetSize: MaterialTapTargetSize.shrinkWrap,
        ),
      ),
    );
  }
}
