import 'package:typed_json/typed_json.dart';

class ALJsonForcedBoolAdapter implements JsonAdapter<bool> {
  @override
  bool? fromJson(Json json) {
    final value = json.dynamicValue;
    if (value is bool) {
      return value;
    } else if (value is int) {
      if (value == 0) {
        return false;
      } else if (value == 1) {
        return true;
      }
    } else if (value is String) {
      final parsedValue = int.parse(value);
      if (parsedValue == 0) {
        return false;
      } else if (parsedValue == 1) {
        return true;
      }
    }

    return null;
  }

  @override
  Json toJson(bool? value) => Json(value);
}
