import 'package:typed_json/typed_json.dart';

class ALJsonForcedDoubleAdapter implements JsonAdapter<double> {

  @override
  double? fromJson(Json json) {
    final value = json.dynamicValue;
    if (value is num) {
      return value.toDouble();
    } else {
      return double.tryParse(value);
    }
  }

  @override
  Json toJson(double? value) => Json(value);
}