import 'package:flutter/material.dart';
import 'package:al/framework/extensions/build_context_extension.dart';
import 'package:shimmer/shimmer.dart';

/// Обёртка для создания скелетона
/// [child] класс для которого необходимо создать скелетон
class ALShimmer extends Shimmer {
  ALShimmer({
    super.key,
    required BuildContext context,
    required Widget child,
    Color? color,
  }) : super(
    child: child,
    gradient: LinearGradient(
      begin: const Alignment(-1.0, -1.0),
      end: const Alignment(1.0, 1.0),
      colors: <Color>[
        color ?? context.colors.paleGrey,
        color ?? context.colors.paleGrey,
        context.colors.white,
        color ?? context.colors.paleGrey,
        color ?? context.colors.paleGrey,
      ],
      stops: const <double>[0.0, 0.35, 0.5, 0.65, 1.0],
    ),
  );
}
