import 'package:flutter/material.dart';
import 'package:al/framework/extensions/build_context_extension.dart';
import 'package:al/framework/res/images/al_images.dart';
import 'package:al/framework/ui/widgets/buttons/al_image_button.dart';

class ALBackButton extends StatelessWidget {
  final VoidCallback onPressed;
  final double height;
  final double width;
  final Color? color;

  const ALBackButton({
    super.key,
    required this.onPressed,
    this.height = 54,
    this.width = 56,
    this.color,
  });

  @override
  Widget build(BuildContext context) {
    return ALImageButton(
      icon: ALImages.iconBack,
      onPressed: onPressed,
      iconColor:
      context.isDarkMode ? context.colors.fixed.whiteBackground : null,
      height: height,
      width: width,
      backgroundColor: color ?? context.colors.transparent,
      splashColor: context.colors.veryCoolGrey,
    );
  }
}
