import 'package:flutter/material.dart';
import 'package:al/framework/res/images/al_asset_change.dart';
import 'package:al/framework/res/images/al_image_asset.dart';

class ALButtonIcon {
  final ALImageAsset icon;
  final Color? color;
  final double? size;
  final EdgeInsets? padding;

  ALButtonIcon(
    this.icon, {this.color, this.size, this.padding}
  );

  Widget buildIcon(
    BuildContext context, {
    required Color defaultColor,
    required double defaultSize,
    required EdgeInsets defaultPadding,
  }) {
    return Padding(
      padding: padding ?? defaultPadding,
      child: icon.buildWidget(
        context,
        color: color ?? defaultColor,
        change: size != null ? ALAssetChange.square(size ?? defaultSize) : null,
      ),
    );
  }
}