import 'package:flutter/material.dart';
import 'package:share_plus/share_plus.dart';

/// Класс, который показывает окно шеринга с указанием местоположения окна.
/// Это нужно для работы на iPad и iOS 12
class PositionAwareShare {
  static Future<void> share(
    String text, {
    required BuildContext context,
    String? subject,
  }) async {
    Share.share(
      text,
      subject: subject,
      sharePositionOrigin: _getOrigin(context),
    );
  }

  static Rect? _getOrigin(BuildContext context) {
    final renderObject = context.findRenderObject();
    if (renderObject == null) {
      return null;
    }

    if (renderObject is! RenderBox) {
      return null;
    }

    return renderObject.localToGlobal(Offset.zero) & renderObject.size;
  }
}
