import 'package:al/framework/storages/secure_storage.dart';
import 'package:al/launcher/logic/repositories/launcher_repository.dart';

class LauncherCheckUuidStage {
  final ISecureStorage secureStorage;
  final LauncherRepository repository;

  LauncherCheckUuidStage({
    required this.secureStorage,
    required this.repository,
  });

  Future<void> call() async {
    if (secureStorage.uuid != null) return;

    final uuid = await repository.getUuid();
    secureStorage.uuid = uuid;
    await secureStorage.save();
  }
}
