import 'package:flutter/material.dart';
import 'package:al/framework/storages/preferences_storage.dart';
import 'package:al/framework/storages/secure_storage.dart';

class LauncherLogoutStage {
  final ISecureStorage secureStorage;
  final IPreferencesStorage preferencesStorage;

  LauncherLogoutStage({
    required this.secureStorage,
    required this.preferencesStorage,
  });

  Future<void> call() async {
    await secureStorage.clear();
    await preferencesStorage.clear();
    _clearCache();
  }

  Future<void> _clearCache() async {
    ImageCache().clear();
  }
}
