import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/ui/navigation/navigation_coordinator.dart';
import 'package:al/launcher/logic/bloc/launcher_cubit.dart';
import 'package:al/launcher/ui/launcher/launcher_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class LauncherCoordinator extends NavigationCoordinator {
  final DIContainer diContainer;

  final Widget Function() onGetActivationPage;
  final Widget Function() onGetAuthPage;
  final Widget Function() onGetLoggedInPage;

  LauncherCoordinator({
    required this.diContainer,
    required this.onGetActivationPage,
    required this.onGetAuthPage,
    required this.onGetLoggedInPage,
  });

  Widget getLauncherPage() {
    return BlocProvider<LauncherCubit>(
      create: (context) => diContainer.resolve<LauncherCubit>(),
      child: LauncherPage(
        onGetActivationPage: onGetActivationPage,
        onGetAuthPage: onGetAuthPage,
        onGetLoggedInPage: onGetLoggedInPage,
      ),
    );
  }
}
