// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:al/session_list/entities/hall_session.dart';
import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class HallInfo extends Equatable {
  final String hallId;
  final String hallName;
  final List<HallSession> sessions;

  const HallInfo({
    required this.hallId,
    required this.hallName,
    required this.sessions,
  });

  @override
  List<Object?> get props => [hallId, hallName, sessions];

  factory HallInfo.fromJson(Json json) {
    final hallId = json['hallId'].stringOrException;
    final hallName = json['hallName'].stringOrException;
    final sessions = json['sessions'].toObjectList(HallSession.fromJson) ?? [];

    return HallInfo(
      hallId: hallId,
      hallName: hallName,
      sessions: sessions,
    );
  }
}
