import 'package:al/framework/formatters/al_date_formatter.dart';
import 'package:al/framework/json_adapters/al_date_json_adapter.dart';
import 'package:al/session_list/types/hall_session_status.dart';
import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class HallSession extends Equatable {
  final String id;
  final HallSessionStatus status;
  final String primaryCaseNumber;
  final DateTime hearingDate;

  const HallSession({
    required this.id,
    required this.status,
    required this.primaryCaseNumber,
    required this.hearingDate,
  });

  HallSession.fromJson(Json json)
      : id = json['id'].stringOrException,
        status = json['status'].getRequired(HallSessionStatusAdapter()),
        primaryCaseNumber = json['primaryCaseNumber'].stringOrException,
        hearingDate = json['hearingDate']
            .getRequired(ALDateJsonAdapter(format: ALDateFormat.ymdhms));

  @override
  List<Object?> get props => [id, status, primaryCaseNumber, hearingDate];
}
