part of 'session_list_cubit.dart';

sealed class SessionListState extends Equatable {
  final String hallName;
  final List<HallSession> hallSessions;

  const SessionListState({
    required this.hallName,
    required this.hallSessions,
  });

  @override
  List<Object?> get props => [hallName, hallSessions];
}

final class SessionListInitial extends SessionListState {
  const SessionListInitial({
    required super.hallName,
    required super.hallSessions,
  });
}

final class SessionListInProgress extends SessionListState {
  const SessionListInProgress({
    required super.hallName,
    required super.hallSessions,
  });
}

final class SessionListFailure extends SessionListState {
  const SessionListFailure({
    required super.hallName,
    required super.hallSessions,
  });
}
