// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:al/session_list/types/hall_session_status.dart';
import 'package:typed_json/typed_json.dart';

import 'package:al/framework/network/request_sender.dart';

class SessionStatusRequest extends IPutRequest {
  final String sessionId;
  final HallSessionStatus status;

  SessionStatusRequest({
    required this.sessionId,
    required this.status,
  });

  @override
  String get apiMethod => 'session-service/api/v1/hearing/$sessionId';

  @override
  Json getBody() {
    final json = Json.object();

    json['status'] = HallSessionStatusAdapter().toJson(status);

    return json;
  }
}
