import 'package:al/activation/logic/repository/activation_repository.dart';
import 'package:al/auth/logic/repository/auth_repository.dart';
import 'package:al/framework/di/di_assembly.dart';
import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/network/request_sender.dart';
import 'package:al/session_list/logic/bloc/session_list_cubit.dart';
import 'package:al/session_list/logic/repository/session_list_repository.dart';
import 'package:al/session_list/session_list_dependencies.dart';

class SessionListAssembly extends DIAssembly {
  SessionListAssembly();

  @override
  assembly(DIContainer container) {
    container.registerSingleton(
      (container) => SessionListRepository(
        activationRepository: container.resolve<ActivationRepository>(),
        requestSender: container.resolve<RequestSender>(),
      ),
    );

    container.registerFactory(
      (container) => SessionListCubit(
        logoutDelegate: container.resolve<ISessionListLogoutDelegate>(),
        activationRepository: container.resolve<ActivationRepository>(),
        sessionListRepository: container.resolve<SessionListRepository>(),
        authRepository: container.resolve<AuthRepository>(),
      ),
    );
  }
}
