import 'package:typed_json/typed_json.dart';

enum HallSessionStatus {
  waiting,
  going,
  closed,
}

extension HallSessionStatusExtension on HallSessionStatus {
  String getString() {
    switch (this) {
      case HallSessionStatus.waiting:
        return "Ожидается заседание";
      case HallSessionStatus.closed:
        return "Заседание завершено";
      case HallSessionStatus.going:
        return "Идет заседание";
      default:
        return "";
    }
  }
}

class HallSessionStatusAdapter implements JsonAdapter<HallSessionStatus> {
  @override
  HallSessionStatus fromJson(Json json) {
    switch (json.intValue) {
      case 0:
        return HallSessionStatus.waiting;
      case 1:
        return HallSessionStatus.going;
      case 2:
        return HallSessionStatus.closed;
      default:
        return HallSessionStatus.waiting;
    }
  }

  @override
  Json toJson(HallSessionStatus? value) {
    switch (value) {
      case HallSessionStatus.waiting:
        return Json(0);
      case HallSessionStatus.going:
        return Json(1);
      case HallSessionStatus.closed:
        return Json(2);
      default:
        return Json.empty();
    }
  }
}
