import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/ui/navigation/navigation_coordinator.dart';
import 'package:al/session_list/logic/bloc/session_list_cubit.dart';
import 'package:al/session_list/ui/session_list/session_list_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class SessionListCoordinator extends NavigationCoordinator {
  final DIContainer diContainer;
  final PreferredSizeWidget Function({
    required BuildContext context,
    Widget? title,
    List<Widget>? actions,
  }) onGetAppBar;

  SessionListCoordinator({
    required this.diContainer,
    required this.onGetAppBar,
  });

  Widget getSessionListPage() {
    return BlocProvider<SessionListCubit>(
      create: (context) => diContainer.resolve<SessionListCubit>(),
      child: SessionListPage(
        onGetAppBar: onGetAppBar,
      ),
    );
  }
}
