import 'package:flutter/material.dart';
import 'package:widgets_demo/pages/alert_page.dart';
import 'package:widgets_demo/pages/bottom_tabbar_page.dart';
import 'package:widgets_demo/pages/buttons_page.dart';
import 'package:widgets_demo/pages/chips_multi_select_page.dart';
import 'package:widgets_demo/pages/chips_page.dart';
import 'package:widgets_demo/pages/error_handler_page.dart';
import 'package:widgets_demo/pages/grid_page.dart';
import 'package:widgets_demo/pages/icons_page.dart';
import 'package:widgets_demo/pages/right_drawer_page.dart';
import 'package:widgets_demo/pages/shimmer_page.dart';
import 'package:widgets_demo/pages/switch_page.dart';

class PageWidget {
  final String title;
  final Widget child;
  final bool hasAppBar;

  const PageWidget(
      this.title,
      this.child, {
      this.hasAppBar = true,
  });
}

final pages = [
  // PageWidget("Тени", ShadowsPage()),
  // PageWidget("Изображения из сети", NetworkImagePage()),
  // PageWidget("WebView с начальной ссылкой", WebViewPage()),
  // PageWidget("WebView с загруженным текстом HTML страницы", WebViewDataPage()),
  // PageWidget("Попапы", PopupPage()),
  // PageWidget("Toast", ToastPage()),
  // PageWidget("Текст с HTML-форматированием", HtmlTextPage()),
  const PageWidget("Кнопки", ButtonsPage()),
  PageWidget("Диалоги", AlertPage()),
  // PageWidget("Типографика", TypographyPage()),
  // PageWidget("Отладка шрифтов", TypographyDebugPage()),
  // PageWidget("Цвета", ColorsPage()),
  PageWidget("Иконки", IconsPage()),
  const PageWidget("Переключатели", SwitchPage()),
  // PageWidget("Выпадающий список", DropdownPage()),
  // PageWidget("Поля ввода", InputTextPage()),
  // PageWidget("Верхний таббар", TopTabbarPage(startIndex: 1)),
  const PageWidget("Нижний таббар", BottomTabbarPage(startIndex: 1)),
  const PageWidget("Чипсы", ChipsPage()),
  const PageWidget("Чипсы с множественным выбором", ChipsMultiSelectPage()),
  const PageWidget("Грид", GridPage()),
  PageWidget("Боковая панель", RightDrawerPage()),
  const PageWidget('ErrorHandler', ErrorHandlerPage()),
  const PageWidget("Скелетон", ShimmerPage()),
];
