import 'package:al/framework/ui/widgets/al_alert.dart';
import 'package:flutter/material.dart';

class AlertPageItem {
  final String text;
  final Function(BuildContext context) action;

  const AlertPageItem(this.text, this.action);
}

const shortMessage = "Короткое сообщение";
const longMessage =
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.";
const veryLongMessage =
    "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur? Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?";

class AlertPage extends StatelessWidget {

  AlertPage({super.key});

  final items = [
    AlertPageItem("Короткое сообщение iOS", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [ALAlertButton(text: "Закрыть", action: null)],
        platformStyle: ALAlertPlatformStyle.ios,
      );
    }),
    AlertPageItem("Длинное сообщение iOS", (context) {
      ALAlert.show(
        longMessage,
        context: context,
        buttons: [ALAlertButton(text: "Закрыть", action: null)],
        platformStyle: ALAlertPlatformStyle.ios,
      );
    }),
    AlertPageItem("Очень длинное сообщение iOS", (context) {
      ALAlert.show(
        veryLongMessage,
        context: context,
        buttons: [ALAlertButton(text: "Закрыть", action: null)],
        platformStyle: ALAlertPlatformStyle.ios,
      );
    }),
    AlertPageItem("Короткое сообщение Android", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [ALAlertButton(text: "Закрыть", action: null)],
        platformStyle: ALAlertPlatformStyle.android,
      );
    }),
    AlertPageItem("Длинное сообщение Android", (context) {
      ALAlert.show(
        longMessage,
        context: context,
        buttons: [ALAlertButton(text: "Закрыть", action: null)],
        platformStyle: ALAlertPlatformStyle.android,
      );
    }),
    AlertPageItem("Очень длинное сообщение Android", (context) {
      ALAlert.show(
        veryLongMessage,
        context: context,
        buttons: [ALAlertButton(text: "Закрыть", action: null)],
        platformStyle: ALAlertPlatformStyle.android,
      );
    }),
    AlertPageItem("Две кнопки iOS", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
        ],
        platformStyle: ALAlertPlatformStyle.ios,
      );
    }),
    AlertPageItem("Три кнопки iOS", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
        ],
        platformStyle: ALAlertPlatformStyle.ios,
      );
    }),
    AlertPageItem("Четыре кнопки iOS", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
        ],
        platformStyle: ALAlertPlatformStyle.ios,
      );
    }),
    AlertPageItem("Две кнопки Android", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
        ],
        platformStyle: ALAlertPlatformStyle.android,
      );
    }),
    AlertPageItem("Три кнопки Android", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
        ],
        platformStyle: ALAlertPlatformStyle.android,
      );
    }),
    AlertPageItem("Четыре кнопки Android", (context) {
      ALAlert.show(
        shortMessage,
        context: context,
        buttons: [
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
          ALAlertButton(text: "Закрыть", action: null),
        ],
        platformStyle: ALAlertPlatformStyle.android,
      );
    }),
  ];

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      itemBuilder: (context, index) {
        final item = items[index];
        return ListTile(
          title: Text(item.text),
          onTap: () => item.action(context),
        );
      },
      itemCount: items.length,
    );
  }
}
