import 'package:flutter/material.dart';
import 'package:al/framework/res/images/al_image_asset.dart';
import 'package:al/framework/res/images/al_images.dart';

class _IconsItem {
  final ALImageAsset icon;
  final String title;

  _IconsItem(this.icon, this.title);
}

class IconsPage extends StatelessWidget {
  IconsPage({super.key});

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      itemBuilder: (context, index) {
        return ListTile(
          leading: _icons[index].icon.buildWidget(context),
          title: Text(_icons[index].title),
        );
      },
      itemCount: _icons.length,
    );
  }

  final List<_IconsItem> _icons = [
    _IconsItem(ALImages.iconBack, "iconBack"),
    _IconsItem(ALImages.iconRecentlyUsed, "iconRecentlyUsed"),
    _IconsItem(ALImages.iconSearch, "iconSearch"),
    _IconsItem(ALImages.iconSettings, "iconSettings"),
  ];
}
