import 'package:flutter/material.dart';
import 'package:al/framework/extensions/build_context_extension.dart';
import 'package:al/framework/ui/widgets/al_right_drawer.dart';
import 'package:al/framework/ui/widgets/buttons/al_button.dart';

class RightDrawerPage extends StatelessWidget {
  final _drawerStateKey = GlobalKey<FRPJRightDrawerState>();

  RightDrawerPage({super.key});

  @override
  Widget build(BuildContext context) {
    return FRPJRightDrawer(
      key: _drawerStateKey,
      rightDrawer: onGetSideMenuWidget(context),
      scaffold: _buildScaffold(context),
    );
  }

  Scaffold _buildScaffold(BuildContext context) {
    return Scaffold(
      body: Center(
        child: ALButton(
          text: "Показать панель",
          onPressed: () {
            _drawerStateKey.currentState?.toggle();
          },
        ),
      ),
    );
  }

  Widget onGetSideMenuWidget(BuildContext context) {
    return Container(
      color: context.colors.blue,
    );
  }
}
