import UIKit
import Flutter

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
  static var flutterEngine = FlutterEngine(name: "altv")

  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
    UNUserNotificationCenter.current().delegate = self as UNUserNotificationCenterDelegate

    let entryPoint = BuildScheme.current.flutterEntryPoint
    AppDelegate.flutterEngine.run(withEntrypoint: entryPoint)
    GeneratedPluginRegistrant.register(with: AppDelegate.flutterEngine)
    startFlutterApp(application: application)

    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }

  func startFlutterApp(application: UIApplication) {
    let window = UIWindow(frame: UIScreen.main.bounds)

    let flutterViewController = FlutterViewController(
      engine: AppDelegate.flutterEngine,
      nibName: nil,
      bundle: nil
    )
    flutterViewController.view.backgroundColor = UIColor.white
    window.rootViewController = flutterViewController

    self.window = window
    window.makeKeyAndVisible()
  }
}
