import Foundation

public enum BuildScheme {
  case `internal`
  case store

  public static var current: BuildScheme {
    #if BUILD_INTERNAL
      return .internal
    #elseif BUILD_STORE
      return .store
    #else
      return .store
    #endif
  }

  public var flutterEntryPoint: String {
    switch self {
    case .internal:
      return "mainInternal"
    case .store:
      return "mainStore"
    }
  }
}
