import 'package:altv/appbar/logic/cubit/appbar_cubit.dart';
import 'package:altv/appbar/logic/cubit/appbar_state.dart';
import 'package:altv/framework/formatters/al_date_formatter.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class AppBarTimeWidget extends StatefulWidget {
  const AppBarTimeWidget({super.key});

  @override
  State<AppBarTimeWidget> createState() => _AppBarTimeWidgetState();
}

class _AppBarTimeWidgetState extends State<AppBarTimeWidget> {
  AppBarCubit get _cubit => context.read<AppBarCubit>();

  @override
  void initState() {
    super.initState();
    _cubit.init();
  }

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<AppBarCubit, AppBarState>(
      builder: _buildCurrentState,
    );
  }

  Widget _buildCurrentState(BuildContext context, AppBarState state) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisSize: MainAxisSize.min,
      children: [
        const SizedBox(
          width: 30.0,
        ),
        _buildTime(state.time),
      ],
    );
  }

  Widget _buildTime(DateTime? time) {
    if (time == null) {
      return const SizedBox.shrink();
    } else {
      return Text(
        ALDateFormatter.format(time, ALDateFormat.hmdmy),
        // TODO переделать нормально стили
        style: const TextStyle(
          color: Colors.white,
          fontSize: 24.0,
        ),
      );
    }
  }
}
