import 'package:altv/appbar/logic/cubit/appbar_cubit.dart';
import 'package:altv/appbar/ui/appbar/appbar_time_widget.dart';
import 'package:altv/framework/di/di_container.dart';
import 'package:altv/framework/extensions/build_context_extension.dart';
import 'package:altv/framework/ui/navigation/navigation_coordinator.dart';
import 'package:altv/framework/ui/widgets/al_app_bar.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class AppBarCoordinator extends NavigationCoordinator {
  final DIContainer diContainer;

  AppBarCoordinator({
    required this.diContainer,
  });

  PreferredSizeWidget getAppBar({
    required BuildContext context,
    Widget? title,
    List<Widget>? actions,
  }) {
    return ALAppBar(
      leadingWidth: 300,
      backgroundColor: context.colors.dark,
      statusBarColor: context.colors.whiteCard,
      leading: BlocProvider<AppBarCubit>(
        create: (context) => diContainer.resolve<AppBarCubit>(),
        child: const AppBarTimeWidget(),
      ),
      title: title,
      actions: actions,
    );
  }
}
