import 'package:altv/debug_settings/logic/bloc/environment_settings/environment_settings_cubit.dart';
import 'package:altv/debug_settings/logic/bloc/feature_settings/feature_settings_cubit.dart';
import 'package:altv/debug_settings/logic/repository/feature_settings_repository.dart';
import 'package:altv/framework/di/di_assembly.dart';
import 'package:altv/framework/di/di_container.dart';
import 'package:altv/framework/environment/environment.dart';
import 'package:altv/framework/storages/preferences_storage.dart';

class DebugSettingsAssembly extends DIAssembly {
  @override
  void assembly(DIContainer container) {
    container.registerFactory(
      (container) => EnvironmentSettingsCubit(
        environment: container.resolve<Environment>(),
      ),
    );
    container.registerSingleton(
      (container) => FeatureSettingsRepository(
        preferencesStorage: container.resolve<IPreferencesStorage>(),
      ),
    );
    container.registerFactory(
      (container) => FeatureSettingsCubit(
        repository: container.resolve<FeatureSettingsRepository>(),
      ),
    );
  }
}
