part of 'environment_settings_cubit.dart';

abstract class EnvironmentSettingsState {}

class EnvironmentSettingsInitial extends EnvironmentSettingsState {
  final List<ServerRoute>? routes;
  final ServerRoute? selectedRoute;
  final String? customServerAddress;
  final bool? isCustomServerAddressEnabled;
  final bool? isAnalyticsDebugEnabled;

  EnvironmentSettingsInitial({
    this.routes,
    this.selectedRoute,
    this.customServerAddress,
    this.isCustomServerAddressEnabled,
    this.isAnalyticsDebugEnabled,
  });

  EnvironmentSettingsInitial.fromOther(
    EnvironmentSettingsInitial state, {
    List<ServerRoute>? routes,
    ServerRoute? selectedRoute,
    String? customServerAddress,
    bool? isCustomServerAddressEnabled,
    bool? isAnalyticsDebugEnabled,
  }) : this(
          routes: routes ?? state.routes,
          selectedRoute: selectedRoute ?? state.selectedRoute,
          customServerAddress: customServerAddress ?? state.customServerAddress,
          isCustomServerAddressEnabled: isCustomServerAddressEnabled ??
              state.isCustomServerAddressEnabled,
          isAnalyticsDebugEnabled: isAnalyticsDebugEnabled ??
              state.isAnalyticsDebugEnabled,
        );
}
