import 'package:equatable/equatable.dart';
import 'package:altv/framework/environment/feature_id.dart';

class FeatureSettingsItem extends Equatable {
  final FeatureID id;
  final bool isReleased;
  final String description;
  final bool? overrideValue;

  const FeatureSettingsItem({
    required this.id,
    required this.isReleased,
    required this.description,
    required this.overrideValue,
  });

  bool get isAvailable => overrideValue ?? isReleased;

  @override
  List<Object?> get props => [id, isReleased, description, overrideValue];
}
