import 'package:altv/framework/environment/environment.dart';
import 'package:altv/framework/environment/feature_id.dart';
import 'package:altv/framework/storages/preferences_storage.dart';

class Features {
  final Environment _environment;
  final IPreferencesStorage _preferencesStorage;

  Features({
    required Environment environment,
    required IPreferencesStorage preferencesStorage,
  })  : _environment = environment,
        _preferencesStorage = preferencesStorage;

  bool isAvailable(FeatureID feature) {
    if (_environment.isDeveloperToolsAvailable) {
      final featureOverride =
          _preferencesStorage.featureOverrides[feature.toString()];
      return featureOverride ?? FeatureIDAdapter.toReleaseStatus(feature);
    } else {
      return FeatureIDAdapter.toReleaseStatus(feature);
    }
  }
}
