import 'package:altv/framework/network/i_response.dart';
import 'package:altv/framework/network/page_metadata.dart';
import 'package:typed_json/typed_json.dart';

abstract class IPagingResponse<T> extends IResponse {
  late List<T> items;
  late PageMetadata meta;

  @override
  void parseResult(Json json) {
    items = parseItems(json);
    meta = PageMetadata.fromJson(json["_meta"]);
  }

  List<T> parseItems(Json json);
}
