abstract class FeatureOverridesSerializer {
  static Map<String, bool> fromStorageValue(String? storedValue) {
    if (storedValue == null || storedValue.isEmpty) {
      return {};
    }

    final splitEntries = storedValue.split(',');
    final decodedEntries = splitEntries.expand<MapEntry<String, bool>>((e) {
      final components = e.split(':');
      if (components.length < 2) {
        return [];
      } else {
        bool boolValue = components[1].toLowerCase() == 'true';
        return [MapEntry(components[0], boolValue)];
      }
    }).toList();

    return Map.fromEntries(decodedEntries);
  }

  static String? toStorageValue(Map<String, bool?>? original) =>
      original?.entries.map((e) => '${e.key}:${e.value}').join(',');
}
