import 'package:typed_json/typed_json.dart';

class ALJsonForcedIntAdapter implements JsonAdapter<int> {
  @override
  int? fromJson(Json json) {
    final value = json.dynamicValue;
    if (value is num) {
      return value.toInt();
    } else {
      return int.tryParse(value);
    }
  }

  @override
  Json toJson(int? value) => Json(value);
}
