import 'package:flutter/material.dart';
import 'package:typed_json/typed_json.dart';

class ALJsonHexColorAdapter implements JsonAdapter<Color> {
  @override
  Color? fromJson(Json json) {
    var hexString = json.stringValue;
    if (hexString == null) {
      return null;
    }

    hexString = hexString.trim();
    if (hexString.length == 4) {
      // convert for example #f00 to #ff0000
      hexString = "#${hexString[1] * 2}${hexString[2] * 2}${hexString[3] * 2}";
    }
    final buffer = StringBuffer();
    if (hexString.length == 6 || hexString.length == 7) buffer.write('ff');
    buffer.write(hexString.replaceFirst('#', ''));
    return Color(int.parse(buffer.toString(), radix: 16));
  }

  @override
  Json toJson(Color? value) {
    if (value == null) {
      return Json.empty();
    }
    final radix = value.value.toRadixString(16);
    return Json("#$radix");
  }
}
