import 'package:equatable/equatable.dart';
import 'package:flutter/foundation.dart';

class FRPJNetworkImageNoCacheState extends Equatable {
  final bool needToRefresh;
  final String url;

  const FRPJNetworkImageNoCacheState({this.needToRefresh = false, this.url = ""});

  @override
  List<Object?> get props => [needToRefresh, url];
}

class FRPJNetworkImageNoCacheInitial extends FRPJNetworkImageNoCacheState {
  const FRPJNetworkImageNoCacheInitial({super.url = ""});
}

class FRPJNetworkImageNoCacheLoading extends FRPJNetworkImageNoCacheState {
  const FRPJNetworkImageNoCacheLoading({required super.url});
}

class FRPJNetworkImageNoCacheLoaded extends FRPJNetworkImageNoCacheState {
  final Uint8List? imageInfo;

  const FRPJNetworkImageNoCacheLoaded({
    required super.url,
    required this.imageInfo,
  });

  @override
  List<Object?> get props => [needToRefresh, url, imageInfo];
}
