import 'package:flutter/material.dart';
import 'package:altv/framework/extensions/build_context_extension.dart';
import 'package:altv/framework/ui/widgets/al_loading_widget.dart';
import 'package:pull_to_refresh/pull_to_refresh.dart';

class ALPagingListViewPagingFooter extends CustomFooter {
  ALPagingListViewPagingFooter({
    super.key,
    EdgeInsets margin = const EdgeInsets.symmetric(vertical: 24),
    double indicatorHeight = 20.0,
  }) : super(
          height: indicatorHeight + margin.vertical,
          builder: (context, status) {
            return status == LoadStatus.loading
                ? Container(
                    padding: margin,
                    child: ALLoadingWidget(
                      color: context.colors.dark,
                      size: indicatorHeight,
                    ),
                  )
                : const SizedBox.shrink();
          },
        );
}
