import 'package:flutter/material.dart';
import 'package:altv/framework/extensions/build_context_extension.dart';
import 'package:altv/framework/ui/widgets/al_loading_widget.dart';
import 'package:pull_to_refresh/pull_to_refresh.dart';

class ALPagingListViewReloadingHeader extends CustomHeader {
  ALPagingListViewReloadingHeader({
    super.key,
    Color? backgroundColor,
    EdgeInsets margin = const EdgeInsets.only(top: 16.0),
    double indicatorHeight = 25.0,
  }) : super(
          height: indicatorHeight + margin.vertical,
          builder: (BuildContext context, RefreshStatus? status) {
            return status == RefreshStatus.canRefresh ||
                    status == RefreshStatus.refreshing ||
                    status == RefreshStatus.completed
                ? Container(
                    color: backgroundColor,
                    padding: margin,
                    child: ALLoadingWidget(
                      color: context.colors.dark,
                      size: indicatorHeight,
                    ),
                  )
                : Container(color: backgroundColor);
          },
        );
}
