import 'package:flutter/material.dart';
import 'package:altv/framework/extensions/build_context_extension.dart';
import 'package:altv/framework/ui/widgets/buttons/al_back_button.dart';
import 'package:altv/framework/ui/widgets/al_app_bar.dart';
import 'package:altv/framework/ui/widgets/web_view/al_web_view.dart';

class ALWebViewPage extends StatelessWidget {
  final String title;
  final Uri uri;
  final Function({required BuildContext context}) onBack;

  final Function(String url) onOpenUrl;

  const ALWebViewPage({
    super.key,
    required this.title,
    required this.uri,
    required this.onBack,
    required this.onOpenUrl,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: ALAppBar(
        titleText: title,
        leading: ALBackButton(
          onPressed: () => onBack(context: context),
          color: context.colors.dark,
        ),
      ),
      body: SafeArea(
        child: ALWebView(
          initialUrl: uri,
          onOpenUrlInBrowser: (url) => onOpenUrl(url.toString()),
        ),
      ),
    );
  }
}
