import 'package:altv/framework/di/di_assembly.dart';
import 'package:altv/framework/di/di_container.dart';
import 'package:altv/framework/network/request_sender.dart';
import 'package:altv/framework/storages/secure_storage.dart';
import 'package:altv/hearing_session/logic/bloc/hearing_session_cubit.dart';
import 'package:altv/hearing_session/logic/repository/hearing_session_repository.dart';

class HearingSessionAssembly extends DIAssembly {
  HearingSessionAssembly();

  @override
  assembly(DIContainer container) {
    container.registerSingleton(
      (container) => HearingSessionRepository(
        secureStorage: container.resolve<ISecureStorage>(),
        requestSender: container.resolve<RequestSender>(),
      ),
    );
    container.registerFactory(
      (container) => HearingSessionCubit(
        secureStorage: container.resolve<ISecureStorage>(),
        repository: container.resolve<HearingSessionRepository>(),
      ),
    );
  }
}
