part of 'hearing_session_cubit.dart';

sealed class HearingSessionState extends Equatable {
  final String primaryCaseNumber;
  final String uuid;

  const HearingSessionState({
    required this.primaryCaseNumber,
    required this.uuid,
  });

  @override
  List<Object> get props => [primaryCaseNumber];
}

final class HearingSessionInitial extends HearingSessionState {
  const HearingSessionInitial({
    required super.primaryCaseNumber,
    required super.uuid,
  });
}

final class HearingSessionNewStarted extends HearingSessionState {
  final bool isSignalRed;
  final bool isAudioNotification;

  const HearingSessionNewStarted({
    required super.primaryCaseNumber,
    required super.uuid,
    required this.isSignalRed,
    required this.isAudioNotification,
  });

  @override
  List<Object> get props => [super.props, isSignalRed];
}
