import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class HearingSessionInfo extends Equatable {
  final String deviceId;
  final String primaryCaseNumber;
  final int statusCodeDeal;

  const HearingSessionInfo({
    required this.deviceId,
    required this.primaryCaseNumber,
    required this.statusCodeDeal,
  });

  static HearingSessionInfo? fromJsonString(String? stringJson) {
    if (stringJson == null) return null;

    final json = Json.parse(stringJson);

    return HearingSessionInfo(
      deviceId: json['deviceId'].stringOrException,
      primaryCaseNumber: json['primaryCaseNumber'].stringOrException,
      statusCodeDeal: json['statusCodeDeal'].intOrException,
    );
  }

  @override
  List<Object?> get props => [deviceId, primaryCaseNumber, statusCodeDeal];
}
