// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:altv/hearing_session/logic/bloc/hearing_session_cubit.dart';
import 'package:flutter/material.dart';

class HearingSessionFormatter {
  final HearingSessionState state;

  HearingSessionFormatter({
    required this.state,
  });

  String get headerText {
    if (state is HearingSessionNewStarted) {
      return 'Внимание!';
    } else {
      return 'Тихо!';
    }
  }

  String get middleText {
    if (state is HearingSessionNewStarted) {
      return 'Приглашаются стороны на заседание по делу:';
    } else {
      return 'Идет заседание по делу:';
    }
  }

  Color get headerTextColor {
    if (state is HearingSessionNewStarted &&
        (state as HearingSessionNewStarted).isSignalRed) {
      return Colors.white;
    } else {
      return Colors.black;
    }
  }

  Color get middleTextColor {
    if (state is HearingSessionNewStarted &&
        (state as HearingSessionNewStarted).isSignalRed) {
      return Colors.white;
    } else {
      return Colors.grey[700]!;
    }
  }

  Color get backgroundColor {
    if (state is HearingSessionNewStarted &&
        (state as HearingSessionNewStarted).isSignalRed) {
      return const Color(0xFFDA4C39);
    } else {
      return Colors.white;
    }
  }
}
