import 'package:altv/hearing_session/logic/bloc/hearing_session_cubit.dart';
import 'package:altv/hearing_session/ui/hearing_session/hearing_session_page.dart';
import 'package:flutter/material.dart';

import 'package:altv/framework/di/di_container.dart';
import 'package:altv/framework/ui/navigation/navigation_coordinator.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class HearingSessionCoordinator extends NavigationCoordinator {
  final DIContainer diContainer;
  final PreferredSizeWidget Function({
    required BuildContext context,
    Widget? title,
    List<Widget>? actions,
  }) onGetAppBar;

  HearingSessionCoordinator({
    required this.diContainer,
    required this.onGetAppBar,
  });

  Widget getHearingSessionPage() {
    return BlocProvider<HearingSessionCubit>(
      create: (context) => diContainer.resolve<HearingSessionCubit>(),
      child: HearingSessionPage(
        onGetAppBar: onGetAppBar,
      ),
    );
  }
}
