import 'package:altv/framework/di/di_container.dart';
import 'package:altv/framework/ui/navigation/navigation_coordinator.dart';
import 'package:altv/launcher/logic/bloc/launcher_cubit.dart';
import 'package:altv/launcher/ui/launcher/launcher_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class LauncherCoordinator extends NavigationCoordinator {
  final DIContainer diContainer;

  final Widget Function() onGetActivationPage;
  final Widget Function() onGetHearingSessionPage;

  LauncherCoordinator({
    required this.diContainer,
    required this.onGetActivationPage,
    required this.onGetHearingSessionPage,
  });

  Widget getLauncherPage() {
    return BlocProvider<LauncherCubit>(
      create: (context) => diContainer.resolve<LauncherCubit>(),
      child: LauncherPage(
        onGetActivationPage: onGetActivationPage,
        onGetHearingSessionPage: onGetHearingSessionPage,
      ),
    );
  }
}
