#!/bin/bash

# Скрипт запускает юнит-тесты и возвращает код результата:
# 0 - Все тесты пройдены
# 1 - Есть ошибки
#
# Пример вызова:
# ./scripts/test.sh


# Делаем раннер, который содержит все тесты. Это радикально ускоряет прогон тестов
./scripts/unit_tests/generate_unit_test_runner.py .

# Запускаем тестирование только для тестового раннера
fvm flutter test ./test/unit_test.dart

# Если тесты прошли с ошибками, сохраняем код 1
if [ ! $? -eq 0 ]; then
    exit_code=1
else
    exit_code=0
fi

# Удаляем раннер тестов
rm -f ./test/unit_test.dart

# Возвращаем код результата прогона тестов
exit $exit_code