import 'package:flutter/material.dart';
import 'package:widgets_demo/pages/adaptive_page.dart';
import 'package:widgets_demo/pages/alert_page.dart';
import 'package:widgets_demo/pages/bottom_tabbar_page.dart';
import 'package:widgets_demo/pages/buttons_page.dart';
import 'package:widgets_demo/pages/chips_multi_select_page.dart';
import 'package:widgets_demo/pages/chips_page.dart';
import 'package:widgets_demo/pages/error_handler_page.dart';
import 'package:widgets_demo/pages/grid_page.dart';
import 'package:widgets_demo/pages/html_text_page.dart';
import 'package:widgets_demo/pages/icons_page.dart';
import 'package:widgets_demo/pages/input_text_page.dart';
import 'package:widgets_demo/pages/network_image_page.dart';
import 'package:widgets_demo/pages/popup_page.dart';
import 'package:widgets_demo/pages/right_drawer_page.dart';
import 'package:widgets_demo/pages/shimmer_page.dart';
import 'package:widgets_demo/pages/switch_page.dart';
import 'package:widgets_demo/pages/toasts_page.dart';
import 'package:widgets_demo/pages/typography_page.dart';
import 'package:widgets_demo/pages/web_view_data_page.dart';
import 'package:widgets_demo/pages/web_view_page.dart';

class PageWidget {
  final String title;
  final Widget child;
  final bool hasAppBar;

  const PageWidget(
      this.title,
      this.child, {
      this.hasAppBar = true,
  });
}

final pages = [
  const PageWidget('Типографика', TypographyPage()),
  PageWidget('Иконки', IconsPage()),
  const PageWidget('ErrorHandler', ErrorHandlerPage()),
  const PageWidget('Адаптивные виджеты', AdaptivePage()),
  const PageWidget('Изображения из сети', NetworkImagePage()),
  const PageWidget('WebView с начальной ссылкой', WebViewPage()),
  const PageWidget('WebView с загруженным текстом HTML страницы', WebViewDataPage()),
  const PageWidget('Попапы', PopupPage()),
  const PageWidget('Текст с HTML-форматированием', HtmlTextPage()),
  const PageWidget('Кнопки', ButtonsPage()),
  const PageWidget('Переключатели', SwitchPage()),
  const PageWidget("Поля ввода", InputTextPage()),
  const PageWidget('Нижний таббар', BottomTabbarPage(startIndex: 1)),
  const PageWidget('Чипсы', ChipsPage()),
  const PageWidget('Чипсы с множественным выбором', ChipsMultiSelectPage()),
  const PageWidget('Грид', GridPage()),
  const PageWidget('Скелетон', ShimmerPage()),
  const PageWidget('Toasts', ToastsPage()),
  PageWidget('Боковая панель', RightDrawerPage()),
  PageWidget('Диалоги', AlertPage()),
];
