import 'package:flutter/material.dart';
import 'package:altv/framework/types/al_device_type.dart';
import 'package:altv/framework/ui/widgets/al_device_dependent_builder.dart';

class AdaptivePage extends StatelessWidget {
  const AdaptivePage({super.key});

  @override
  Widget build(BuildContext context) {
    final deviceType = ALDeviceTypeAdapter().fromContext(context);
    final size = deviceType.pickValue(
      phone: 50.0,
      landscape: 150.0,
      tablet: 150.0,
      wideTablet: 200.0
    );
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Container(color: Colors.redAccent, width: size, height: size,),
          const SizedBox(height: 10),
          ALDeviceDependentBuilder(
            phoneBuilder: (_) => const Text('It\'s phone'),
            tabletBuilder: (_) => const Text('It\'s tablet'),
            wideTabletBuilder: (_) => const Text('It\'s wide tablet'),
          )
        ],
      ),
    );
  }
}
