import 'package:altv/framework/res/images/al_images.dart';
import 'package:altv/framework/ui/widgets/al_bottom_tabbar.dart';
import 'package:flutter/material.dart';

class BottomTabbarPage extends StatefulWidget {
  final int startIndex;

  const BottomTabbarPage({super.key, required this.startIndex});

  @override
  State<StatefulWidget> createState() => _BottomTabbarPageState();
}

class _BottomTabbarPageState extends State<BottomTabbarPage> {
  late int selectedIndex;

  late final List<ALBottomTabBarItem> _tabs = [
    const ALBottomTabBarItem(
      title: 'Недавние',
      icon: ALImages.iconRecentlyUsed,
    ),
    const ALBottomTabBarItem(
      title: 'Поиск',
      icon: ALImages.iconSearch,
    ),
    const ALBottomTabBarItem(
      title: 'Настройки',
      icon: ALImages.iconSettings,
    )
  ];

  late final List<Widget> _pages = _tabs
      .map((e) => Text(
            e.title,
            style: const TextStyle(fontSize: 30, fontWeight: FontWeight.bold),
      ))
      .toList();

  @override
  void initState() {
    super.initState();
    selectedIndex = widget.startIndex;
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: _pages.elementAt(selectedIndex),
      ),
      bottomNavigationBar: ALBottomTabBar(
        tabs: _tabs,
        selectedIndex: selectedIndex,
        onSelectTab: onTabSelected,
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: () => {
          setState(() {
            if (selectedIndex < 4) {
              selectedIndex += 1;
            } else {
              selectedIndex = 0;
            }
          })
        },
        backgroundColor: Colors.amber,
        child: const Icon(Icons.navigate_next),
      ),
    );
  }

  void onTabSelected(int index) {
    debugPrint("Выбран таб $index");
    setState(() {
      selectedIndex = index;
    });
  }
}
