import 'package:altv/framework/ui/widgets/chips/al_chips_multi_select_bar.dart';
import 'package:flutter/material.dart';

class ChipsMultiSelectPage extends StatefulWidget {
  const ChipsMultiSelectPage({super.key});

  @override
  State<StatefulWidget> createState() => _ChipsMultiSelectPageState();
}

class _ChipsMultiSelectPageState extends State<ChipsMultiSelectPage>
    with TickerProviderStateMixin {
  List<int> _selectedIndexes = [0];

  final _items = [
    const ALChipsMultiSelectBarItem(
      title: 'Все',
      selectedColor: Colors.red,
    ),
    const ALChipsMultiSelectBarItem(
      title: 'Город',
      selectedColor: Colors.orange,
    ),
    const ALChipsMultiSelectBarItem(
      title: 'Культура',
      selectedColor: Colors.yellow,
    ),
    const ALChipsMultiSelectBarItem(
      title: 'Наука',
      selectedColor: Colors.green,
    ),
    ALChipsMultiSelectBarItem(
      title: 'Искусство',
      selectedColor: Colors.blue.shade600,
    ),
    ALChipsMultiSelectBarItem(
      title: 'Строительство',
      selectedColor: Colors.blue.shade900,
    ),
    ALChipsMultiSelectBarItem(
      title: 'Экология',
      selectedColor: Colors.purple.shade900,
    ),
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          ALChipsMultiSelectBar(
            context: context,
            items: _items,
            selectedIndexes: _selectedIndexes,
            onSelectionChange: (List<int> selected) {
              setState(() => _selectedIndexes = selected);
            },
          ),
          Expanded(
            child: _buildSelectedItems(),
          ),
        ],
      ),
    );
  }

  Widget _buildSelectedItems() {
    return Padding(
      padding: const EdgeInsets.all(8),
      child: Wrap(
        spacing: 8,
        runSpacing: 4,
        children: _getSelectedItems().map((item) => Text(item.title)).toList(),
      ),
    );
  }

  List<ALChipsMultiSelectBarItem> _getSelectedItems() {
    final List<ALChipsMultiSelectBarItem> selected = [];
    for (final i in _selectedIndexes) {
      selected.add(_items[i]);
    }
    return selected;
  }
}
