import 'package:flutter/material.dart';
import 'package:altv/framework/ui/widgets/buttons/al_button.dart';
import 'package:altv/framework/ui/widgets/al_toast.dart';

class ToastsPage extends StatelessWidget {
  const ToastsPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: Column(
          mainAxisSize: MainAxisSize.max,
          mainAxisAlignment: MainAxisAlignment.end,
          children: [
            _buildButton(
              text: "Показать",
              onPressed: () => ALToast.showShortMessage('Toast')
            ),
          ],
        ),
      ),
    );
  }

  Widget _buildButton({required String text, required VoidCallback onPressed}) {
    return Container(
      padding: const EdgeInsets.fromLTRB(10, 0, 10, 10),
      width: double.infinity,
      child: ALButton(text: text, onPressed: onPressed),
    );
  }
}
