import 'package:flutter/material.dart';
import 'package:altv/framework/extensions/build_context_extension.dart';

class TypographyPage extends StatefulWidget {
  final bool forceIOS;
  final bool forceAndroid;

  const TypographyPage({
    super.key,
    this.forceIOS = false,
    this.forceAndroid = false,
  });

  @override
  State<TypographyPage> createState() => _TypographyPageState();
}

class _TypographyPageState extends State<TypographyPage> {
  final fish =
      "\nПовседневная практика показывает, что укрепление и развитие структуры играет важную роль в формировании систем массового участия. Таким образом консультация с широким активом позволяет оценить значение модели развития.";

  @override
  Widget build(BuildContext context) {
    return ListView(
      padding: const EdgeInsets.all(16),
      children: _buildTextWidgets()
    );
  }

  Widget _buildTextWidget(TextStyle textStyle, name) {
    return Padding(
      padding: const EdgeInsets.only(bottom: 50),
      child: RichText(
        text: TextSpan(
          children: [
            TextSpan(text: '$name: ${textStyle.description}', style: context.textStyles.titleLarge.copyWith(color: Colors.black54)),
            TextSpan(text: fish, style: textStyle)
          ]
        ),
      ),
    );
  }

  List<Widget> _buildTextWidgets() => [
    _buildTextWidget(context.textStyles.headlineLarge, 'Headline Large'),
    _buildTextWidget(context.textStyles.headline, 'Headline Medium'),
    _buildTextWidget(context.textStyles.headlineSmallHeavy, 'Headline Small Heavy'),
    _buildTextWidget(context.textStyles.headlineSmallBold, 'Headline Small Bold'),
    _buildTextWidget(context.textStyles.headlineSmallSemibold, 'Headline Small Semibold'),
    _buildTextWidget(context.textStyles.titleLarge, 'Title Large'),
    _buildTextWidget(context.textStyles.title, 'Title Medium'),
    _buildTextWidget(context.textStyles.titleSmallBold, 'Title Small Bold'),
    _buildTextWidget(context.textStyles.titleSmallMedium, 'Title Small Medium'),
    _buildTextWidget(context.textStyles.titleSmallRegular, 'Title Small Regular'),
    _buildTextWidget(context.textStyles.bodyHeavy, 'Body Heavy'),
    _buildTextWidget(context.textStyles.bodyBold, 'Body Bold'),
    _buildTextWidget(context.textStyles.bodySemibold, 'Body Semibold'),
    _buildTextWidget(context.textStyles.bodyMedium, 'Body Medium'),
    _buildTextWidget(context.textStyles.bodyRegular, 'Body Regular'),
    _buildTextWidget(context.textStyles.bodySmallRegular, 'Body Small Regular'),
    _buildTextWidget(context.textStyles.bodySmallHeavy, 'Body Small Heavy'),
    _buildTextWidget(context.textStyles.bodySmallBold, 'Body Small Bold'),
    _buildTextWidget(context.textStyles.bodySmallSemibold, 'Body Small Semibold'),
    _buildTextWidget(context.textStyles.bodySmallMedium, 'Body Small Medium'),
    _buildTextWidget(context.textStyles.bodySmallLight, 'Body Small Light'),
    _buildTextWidget(context.textStyles.labelLargeSemibold, 'Label Large Semibold'),
    _buildTextWidget(context.textStyles.labelLargeMedium, 'Label Larg eMedium'),
    _buildTextWidget(context.textStyles.labelLargeRegular, 'Label Large Regular'),
    _buildTextWidget(context.textStyles.labelLargeLight, 'Label Large Light'),
    _buildTextWidget(context.textStyles.labelBold, 'Label Bold'),
    _buildTextWidget(context.textStyles.labelMedium, 'Label Medium'),
    _buildTextWidget(context.textStyles.labelRegular, 'Label Regular'),
    _buildTextWidget(context.textStyles.labelLight, 'Label Light'),
  ];
}

extension Tee on TextStyle {
  String get description => '${fontWeight!.value} — $fontSize pt ( line height — ${height! * fontSize!})';
}